// Conversion of the Ice Station Zero game for ZX Spectrum by 8th Day Software.
//
// This source file is mainly the raw output from the SNA2QUIL converter
// applied to a snapshot of the original game, so it need some manual
// postprocessing (improved version of the source is in the file icest0.qll).
//
// The conversion was performed using the following command:
//
// sna2quil icest0.sna -G -L -Ois0raw.qll

$$TITLE("icest0.sna")

$$VOCABULARY(4)

WORD(1,N)
WORD(1,NORT)
WORD(2,S)
WORD(2,SOUT)
WORD(3,E)
WORD(3,EAST)
WORD(4,W)
WORD(4,WEST)
WORD(5,NE)
WORD(6,NW)
WORD(7,SE)
WORD(8,SW)
WORD(9,U)
WORD(9,UP)
WORD(9,CLIM)
WORD(10,D)
WORD(10,DOWN)
WORD(11,IN)
WORD(11,ENTE)
WORD(12,OUT)
WORD(12,EXIT)
WORD(13,JUMP)
WORD(14,KAGO)
WORD(14,COAT)
WORD(15,PICK)
WORD(16,USE)
WORD(16,FISH)
WORD(17,HARP)
WORD(18,ROPE)
WORD(19,CORP)
WORD(19,BODY)
WORD(19,CADA)
WORD(20,ID)
WORD(20,CARD)
WORD(21,DOOR)
WORD(22,FLAR)
WORD(22,PIST)
WORD(23,TREE)
WORD(23,LIMB)
WORD(23,FOSS)
WORD(23,WOOD)
WORD(24,SKIS)
WORD(25,STIC)
WORD(26,GLAS)
WORD(26,GOGG)
WORD(27,GLOV)
WORD(28,BAZO)
WORD(29,SHEL)
WORD(30,DOG)
WORD(30,HUSK)
WORD(30,SLED)
WORD(30,TEAM)
WORD(30,DOGS)
WORD(31,GUN)
WORD(31,HAND)
WORD(32,ROD)
WORD(33,GUAR)
WORD(33,SOLD)
WORD(33,ENEM)
WORD(34,CASS)
WORD(35,BEAR)
WORD(35,POLA)
WORD(36,BIRD)
WORD(37,PELL)
WORD(37,CANI)
WORD(38,GAS)
WORD(38,MASK)
WORD(39,KEYS)
WORD(40,TORC)
WORD(40,LAMP)
WORD(41,BOMB)
WORD(42,BUTT)
WORD(43,PRES)
WORD(43,PUSH)
WORD(44,PULL)
WORD(45,RED)
WORD(46,BLUE)
WORD(47,GREE)
WORD(48,RECO)
WORD(50,REWI)
WORD(51,FREE)
WORD(51,RELE)
WORD(51,UNTI)
WORD(52,FIRE)
WORD(52,SHOO)
WORD(53,EXAM)
WORD(54,SEAR)
WORD(54,EXPL)
WORD(55,GIVE)
WORD(56,OFF)
WORD(56,EXTI)
WORD(57,ON)
WORD(57,LIGH)
WORD(58,PRIM)
WORD(58,STOV)
WORD(59,MATC)
WORD(60,SHOE)
WORD(62,GREN)
WORD(63,PIN)
WORD(64,INSE)
WORD(65,CASE)
WORD(66,PLAY)
WORD(67,SPEA)
WORD(67,NATI)
WORD(68,OPEN)
WORD(68,UNLO)
WORD(69,GATE)
WORD(69,FENC)
WORD(70,SHOV)
WORD(70,SPAD)
WORD(71,DIG)
WORD(72,PANE)
WORD(72,CONT)
WORD(73,READ)
WORD(74,SIGN)
WORD(75,STIR)
WORD(76,YELL)
WORD(77,WHIT)
WORD(78,SCOR)
WORD(79,TURN)
WORD(80,HELI)
WORD(81,SWIM)
WORD(82,HELP)
WORD(83,RUN)
WORD(84,FUCK)
WORD(84,PISS)
WORD(84,SHIT)
WORD(85,EAT)
WORD(85,DRIN)
WORD(86,RUST)
WORD(86,CLAM)
WORD(87,KILL)
WORD(87,SLAY)
WORD(87,ATTA)
WORD(87,FIGH)
WORD(87,DEST)
WORD(87,MURD)
WORD(88,LIST)
WORD(89,SMEL)
WORD(90,YETI)
WORD(92,RUB)
WORD(93,NOSE)
WORD(94,FILL)
WORD(95,END)
WORD(100,T)
WORD(100,GET)
WORD(100,TAKE)
WORD(101,DROP)
WORD(101,THRO)
WORD(102,REMO)
WORD(103,WEAR)
WORD(104,I)
WORD(104,INVE)
WORD(105,R)
WORD(105,L)
WORD(105,LOOK)
WORD(105,DESC)
WORD(106,Q)
WORD(106,QUIT)
WORD(107,SAVE)
WORD(108,LOAD)
WORD(108,REST)
WORD(120,CALL)
WORD(121,STOR)
WORD(122,WORD)
WORD(123,PICT)

$$LOCATIONS

LOC(0,"You are standing outside a small"
    "snow covered tent at the western"
    "edge of an immense ice field. A "
    "harrying blizzard obscures your "
    "view to any great length, but   "
    "you are able to make out a high "
    "ridge of towering glacial ice   "
    "that rises steadily to the east,"
    "blocking any attempt at passage."
    "You can go IN to the snow tent  "
    "or head north to the camp edge.")
LOC(1,"You are in the tent.Snow is     "
    "heavy on the fabric causing it  "
    "to sag in the middle.")
LOC(2,"You are north of the tent camp  "
    "on the edge of the ice field.")
LOC(3,"You are north of the camp on the"
    "compacted edge of a massive snow"
    "encrusted glacial field. Recent "
    "dog tracks head east into the   "
    "heavy blizzard: thick, billowing"
    "clouds of drifting snow buffet  "
    "at you as you survey a vast ice "
    "chasm blocking your way north. A"
    "gap between ice mounds is east.")
LOC(4,"You are before a deep shiftting "
    "gash in the ice.Cracked crushed "
    "pillars of ice jut from the floe"
    "making it unpassable.")
LOC(5,"You are west of an impassable   "
    "ice floe that seems to rise all "
    "around in every direction,making"
    "progress impossible!")
LOC(6,"You are in a sheltered crag by a"
    "shattered ice floe.Great chunks "
    "of floating ice bob uneasily    "
    "about the sub-zero water that   "
    "flows slowly south.It may be    "
    "possible to leap across to a    "
    "moving piece of ice,but it does "
    "look very thin!")
LOC(7,"You are spinning on a thin isle "
    "of moving ice in a semi frozen  "
    "crack of moving water and ice. A"
    "further extension of this block "
    "of ice is east of you, but on   "
    "closer investigation it would   "
    "appear to be thinner than this  "
    "one. The near bank is within    "
    "easy jumping distance westwards."
    "")
LOC(8,"You are on an even smaller piece"
    "of rapidly fragmenting ice near "
    "to the far bank.The sound of ice"
    "cracking,fragmenting,fills your "
    "ears!")
LOC(9,"You are on the far bank of a    "
    "moving river of fractured ice   "
    "south of a glacial range.The    "
    "sunlight reflects brightly from "
    "the glaciers,great shards of    "
    "light reflecting all around.")
LOC(10,"You are below a glacier that    "
    "rises high above the polar ice. "
    "Sunlight reflects from the ice, "
    "dancing in a reflection of crazy"
    "light beams.Ice cracks above.")
LOC(11,"You are on a ledge some way     "
    "above the glacier bottom.The ice"
    "all around is as sheer as glass,"
    "showing no possible paths of any"
    "size.A steep crack in the ice is"
    "east.")
LOC(12,"You are further along the ledge "
    "below a sheer wall of thick ice "
    "in a deep cleft of dazzling cold"
    "ice.Great chunks of crushed snow"
    "hang overhead.")
LOC(13,"You are higher up the glacier in"
    "a natural track of hard ice.The "
    "glacier rises far above,but the "
    "ice is so sheer as to make it   "
    "totally unclimable.")
LOC(14,"You are just entering an ice    "
    "carved groove in the glacier    "
    "that seems to actually lead into"
    "the ice itself,from within which"
    "great dazzling reflections of   "
    "light dance eerily.")
LOC(15,"You are inside a large hollow   "
    "in the heart of the glacier that"
    "has formed no doubt through some"
    "harsh extremity of the assault  "
    "of the weather. High overhead a "
    "sliding rim of thick ice rises  "
    "harshly to a hole carved into   "
    "the glacier, whilst a widening  "
    "continuation of this almost cave"
    "like hollow continues east.")
LOC(16,"You are on the far side of an   "
    "immense glacier that falls to   "
    "the edge of an ice field east.  "
    "The plain is enclosed east in a "
    "blizzard,obscuring everything!")
LOC(17,"You are below the glacier path  "
    "on the field of ice someway west"
    "of a blizzard that is moving    "
    "slowly to the east.")
LOC(18,"You are in the heart of the     "
    "glacier.Far above reflected     "
    "sunlight lights the knotted     "
    "fingers of thick ice that rise  "
    "on all sides.Strangely enough,  "
    "there are recent signs of       "
    "occupation!")
LOC(19,"You are on a flat field of ice  "
    "that seems to flow in all       "
    "directions for miles without    "
    "rise.A savage snowstorm clouds  "
    "the air to the east.")
LOC(20,"You are in the midst of a savage"
    "blizzard!Great gusts of wind    "
    "wail about you blowing snow into"
    "great clouds that fly at you    "
    "savagely as if animated by some "
    "natural force of hatred!")
LOC(21,"You are on the edge of a strong "
    "snowstorm north of a small ice  "
    "cave in the side of a long wall "
    "of towering ice that runs south "
    "and west into the distance.")
LOC(22,"You are standing north of a     "
    "large hole in a vertical wall   "
    "of compacted ice. Although quite"
    "small, the hole seems almost to "
    "be carved from the ice, and not "
    "a natural feature. As you stand "
    "in the gully of whistling winds "
    "that blow about this dead end,  "
    "it almost seems as if you can   "
    "hear the sound of running water "
    "coming from within the cave!")
LOC(23,"You are in a damp dark cave that"
    "is lit by a single hole in the  "
    "ice far above.A dark deep well  "
    "dominates the cave,the sound of "
    "water rushing from below.The    "
    "cave floor is littered with     "
    "(recent) Yeti droppings.")
LOC(24,"You are south of a small huddled"
    "gathering of igloos that huddle "
    "together at the edge of a large "
    "ice scarp.Several ice-holes lie "
    "open to all around,several short"
    "eskimos gathered about them,    "
    "fishing.Strangely,you notice the"
    "bait they are using is Garden   "
    "peas!           The Eskimos all "
    "ignore you!")
LOC(25,"You are approaching an eskimo   "
    "village that consists mostly of "
    "several seemingly hastily       "
    "erected igloos that stand around"
    "in every direction.")
LOC(26,"You are in the middle of the    "
    "eskimo village.A small igloo is "
    "west whilst a larger more       "
    "impressive building is further  "
    "north.")
LOC(27,"You are in a small store igloo  "
    "beside small,oddly carved ice   "
    "shelves.")
LOC(28,"You are beside a crudely carved "
    "sign that reads ~ CHIEF ESKIMO ~"
    "in badly painted letters. An    "
    "equally badly daubed red arrow  "
    "points off to a large igloo that"
    "stands at the northernmost      "
    "extent of the vilage. Much to   "
    "your surprise, a square shaped  "
    "igloo ( looking very much like a"
    "titanic ice cube ) is next to   "
    "here. A square door leads in.")
LOC(29,"You are in a square igloo that  "
    "according to a sign above the   "
    "kagool-stand belongs to the     "
    "village idiot.The igloo itself  "
    "is totally cube-shaped and has  "
    "several rudely carved windows.  "
    "The entire structure looks      "
    "totally insecure!")
LOC(30,"You are in the chief eskimo's   "
    "igloo.")
LOC(31,"You are on a flat ice field     "
    "east of a small eskimo village. "
    "A raging snowstorm of major     "
    "proportions blows all around,   "
    "slowly obscuring a small eskimo "
    "village that lies north and     "
    "west.")
LOC(32,"You are traversing a wide flat  "
    "field that rises to a tall      "
    "mountain range to the far north."
    "")
LOC(33,"You are at the edge of a deep   "
    "chasm that splits the ice field "
    "to the north and east.It's      "
    "depths lie hidden far below out "
    "of sight but a curious shimmer  "
    "of heat seems to arise from     "
    "below,the ice barely holding    "
    "sway.           As yo watch, a v"
    "ast tremor edgesfrom the pit, sh"
    "aking the ice!")
LOC(34,"You are in the hull of a badly  "
    "damaged snow plough.Great sheets"
    "of twisted and blackened metal  "
    "lie about the remains of the    "
    "hull while twisted caterpillar  "
    "tracks creak above.")
LOC(35,"You are outside a wrecked snow- "
    "plough.The structure of the     "
    "vehicle is totally destroyed,the"
    "force of the explosion turning  "
    "the machine upside down.")
LOC(36,"You are above a steep slope of  "
    "powdered snow that falls south.")
LOC(37,"You are below the slope.Thin    "
    "wisps of snow cascade from the  "
    "slope above,and a deep ravine   "
    "is west.")
LOC(38,"You are on a snow covered       "
    "plateau that edges a deep       "
    "precipice that runs north and   "
    "south to the west.To the south, "
    "you can see a thick column of   "
    "curling black smoke rising from "
    "the ice floe.")
LOC(39,"You are in the burnt wreckage of"
    "the helicopter cockpit.Smashed  "
    "burnt-out dials tipped with     "
    "recent snow hang loosely from   "
    "the controls.")
LOC(40,"You are at a fire scarred crater"
    "in the ice.Thick clouds of smoke"
    "hang above the ice,scarring the "
    "snow.")
LOC(41,"You are on above a dip in the   "
    "plateau that runs away sharply  "
    "from the precipice to the west. "
    "In the snow south the remains of"
    "Ice Station Zero-Two lie silent."
    "")
LOC(42,"You are north of the perimeter  "
    "fence of the apparently all but "
    "deserted ice research station. A"
    "howling wind blows great gusts  "
    "of snow across the ice field,   "
    "giving the white domes and man  "
    "made structures an almost ghost-"
    "like, eerie appearance!")
LOC(43,"You are at the large outer dome."
    "Radar systems on its' apex are  "
    "motionless,faint gusts of cold, "
    "billowing snow drifting about   "
    "the remaining buildings,a sharp "
    "wind creating strange echoes    "
    "around the station.")
LOC(44,"You are inbetween buildings.The "
    "clearing runs south towards the "
    "common room shell.No signs of   "
    "habitation are obvious,but the  "
    "door to the east radio room     "
    "swings open slowly,creaking in  "
    "the gale..")
LOC(45,"You are in the radio room.As you"
    "gaze about the equipment you    "
    "realise nearly every instrument "
    "has been wrecked!Large burn     "
    "marks cover the walls and the   "
    "smell of smoke is heavy in the  "
    "air.")
LOC(46,"You are standing in the middle  "
    "of the burnt out shell of the   "
    "crew recreation room.")
LOC(47,"You are inbetween buildings in  "
    "the deserted station.Thick oil  "
    "stains cover the ground,but to  "
    "the west the entire shell of the"
    "recreation room has been        "
    "destroyed!")
LOC(48,"You are south of the station.   "
    "From the north-west the deep    "
    "precipice runs toward the main  "
    "dome north,then falls away      "
    "steeply to the south-east.To the"
    "south a strangely formed ice    "
    "hole falls away out of view.")
LOC(49,"You are outside a small cave    "
    "entrance on the rim of the ice  "
    "valley west of a deep precipice."
    "To the east barely visible      "
    "through deep drifts of snow the "
    "outer posts of an ice station   "
    "are visible.")
LOC(50,"You are teetering on the edge of"
    "a bottomless precipice.Thick ice"
    "falls from the edge as you      "
    "approach.Across the wide gulf   "
    "the outer domes of Ice Station  "
    "Zero-One are plainly visible!   "
    "No signs of life rise from the  "
    "unmoving equipment of the ice   "
    "station, no lights shining from "
    "the windows of the outer domes!")
LOC(51,"You are west of a deep precipice"
    "and east of the ice station.The "
    "smaller outer domes rise east,  "
    "then from there,in equal        "
    "distances,north.No sign of life "
    "is visible.")
LOC(52,"You are on the top of the main  "
    "maintenance dome.Deep drifts of "
    "snow sweep across the station,  "
    "burying it in thick snow.")
LOC(53,"YOu are west of the perimeter   "
    "fence.To the north a weather    "
    "watch station rises above the   "
    "snow drift.")
LOC(54,"You are standing on fresh snow  "
    "directly below the weather      "
    "tower.A cold metal rail ladder  "
    "rises to a platform high above.")
LOC(55,"You are in an open weather tower"
    "now devoid of instumentation.To "
    "the west a long ice shelf runs  "
    "to the horizon whilst the many  "
    "buildings of the ice station to "
    "the east are buried in snow     "
    "except for what appears to be a "
    "power generator.")
LOC(56,"You are directly below the main "
    "entrance gates.A large red sign "
    "on the gate reads,              "
    "      ???????????????????????   "
    "      ?ICE STATION 0/1      ?   "
    "      ?(MINERAL RESEARCH)   ?   "
    "      ?-STRICTLY NO         ?   "
    "      ?         ADMITTANCE- ?   "
    "      ???????????????????????")
LOC(57,"You are by a burnt out generator"
    "compound.Thick power cables hang"
    "in disarray whilst the air is   "
    "crisp with the smell of static.")
LOC(58,"You are on the inside of the    "
    "perimeter fence amongst a thick "
    "snow drift.A large generator is "
    "north whilst the drift extends  "
    "to the south.")
LOC(59,"You are in an empty, shallow    "
    "dip that is bordered to the     "
    "south by a large concrete       "
    "bunker. No signs of life come   "
    "from here or nearby, no sounds  "
    "rising from the buildings except"
    "the relentless wail of the wind "
    "as it batters against the snow  "
    "covered station domes...")
LOC(60,"You are on top of a thick       "
    "concrete dome that forms part of"
    "the laboratory complex of the   "
    "research station.")
LOC(61,"You are in a warm,well-lit      "
    "corridor that runs to the north."
    "A large door opens out back to  "
    "the snow field.Large speakers   "
    "hang at every junction.The      "
    "station is eerily silent!")
LOC(62,"You are in an explosion damaged "
    "junction in the corridor.       "
    "Shrapnel has carved great gouges"
    "of metal from the walls that lie"
    "in piles on the ground.")
LOC(63,"You are in the laboratory.Long  "
    "wooden benches run down the     "
    "centre of the room upon which   "
    "stand various types of chemical "
    "vessels.Surprisingly enough,not "
    "one of them has been damaged.")
LOC(64,"You are at a junction at the end"
    "of the corridor.A doorless lift "
    "is east whilst a large sealed   "
    "door marked,\"LABORATORY\"is west."
    "")
LOC(65,"     ?????????????????????????  "
    "     ?You are in a open lift ?  "
    "     ?beside a  small control?  "
    "     ?panel.                 ?  "
    "     ?????????????????????????")
LOC(66,"You are in a recreation room    "
    "on the first floor that should  "
    "over-look the ice field.The snow"
    "drift,however,totally covers the"
    "dome.Various loungers and games "
    "tables fill the room,which is in"
    "apparent good order.A sign is on"
    "the east wall.")
LOC(67,"You are in a bare room.")
LOC(68,"You are in a side-room off the  "
    "main workroom beside a sealed   "
    "window.A flickering neon tube   "
    "produces a thin humm from above."
    "")
LOC(69,"You are in a basement workshop. "
    "Various projects in half        "
    "completed state litter the room,"
    "and there is a fierce smell of  "
    "solder.A \"Practical lasers for  "
    "all\" wallchart hangs om the     "
    "greasy walls.")
LOC(70,"You are in a sparse mud hut.    "
    "Bones litter the floor and a    "
    "large pool of mud fills the     "
    "floor.")
LOC(71,"You are outside a small mud     "
    "hut at the western end of the   "
    "long valley.")
LOC(72,"You are at the north end of a   "
    "lush green valley that rises    "
    "slowly to the south.The walls of"
    "the glacier rise on all sides,  "
    "but the vegetation and heat     "
    "seem hardly affected by the     "
    "polar weather,as if the valley  "
    "were in some way immune to the  "
    "ice surrounding it on every side"
    "High above a funnel of sheer    "
    "unclimable ice rises high into  "
    "the roots of the ice field,while"
    "the valley continues south.")
LOC(73,"You are south of the valley by  "
    "a pool of rippling molten mud!  "
    "Slowly you realise this is what "
    "must keep the ravages of the    "
    "polar weather at bay-the entire "
    "valley rests on a bed of molten "
    "mud,sealing it in some strange  "
    "way from the intense cold!")
LOC(74,"You are at the southernmost     "
    "reaches of the valley below a   "
    "high cliff.A dark cave leads    "
    "into the rock,from which rises  "
    "a terrible stench.")
LOC(75,"You are in a chamber of torches "
    "at the base of a steeply rising "
    "tunnel.Strange designs cover    "
    "the caves ceiling and the smell "
    "is worse from the tunnel.To one "
    "side,just off the tunnel a large"
    "idol sits peering over the      "
    "entrance-the idol seems to be   "
    "carved in the shape of a giant  "
    "bird!")
LOC(76,"You are in a steeply rising     "
    "tunnel which beyond your torch- "
    "light is totally pitch black!")
LOC(77,"You are higher up the tunnel by "
    "a niche.The tunnel seems colder "
    "as it rises,as if you are       "
    "leaving the valley behind.")
LOC(78,"You are in a concealed niche    "
    "over-looking the main tunnel.")
LOC(79,"You are at the end of the tunnel"
    "in a cold cavern.Water hangs    "
    "frozen from above whist a large "
    "opening leads east")
LOC(80,"You are in the base of an       "
    "enormous nest that is littered  "
    "with thousands of bones.To the  "
    "east you can see the white      "
    "glare of snow outside a small   "
    "passage.")

$$MESSAGES

MSG(0,"You find nothing.")
MSG(1,"It's very well insulated,and is "
    "essential for subzero arctic    "
    "conditions.")
MSG(2,"-For climbing-")
MSG(3,"You find nothing special.")
MSG(4,"A long harpoon is held firm in  "
    "the barrel.")
MSG(5,"Seriously dead.")
MSG(6,"Classification 1 all levels     "
    "clearance.Insert to use.")
MSG(7,"The entrance must logically be  "
    "about 3 metres below the snow.")
MSG(8,"It contains one high power flare"
    "and has a very low flash point.")
MSG(9,"It's empty.")
MSG(10,"The holes in the fuselage make  "
    "it difficult to reach any firm  "
    "conclusion,but judging by the   "
    "damage it would appear to have  "
    "been shot down!")
MSG(11,"A fossilised tree.")
MSG(12,"A high power standard issue     "
    "bazooka it is at present empty.")
MSG(13,"A high power standard issue     "
    "bazooka.It contains a bazooka   "
    "shell.")
MSG(14,"For use with bazooka.Insert     "
    "to arm weapon.")
MSG(15,"It does seem a shame to leave   "
    "them tied up!")
MSG(16,"\"Don't move!\"")
MSG(17,"It's VERY angry!")
MSG(18,"Handle with care-poisonous gas!")
MSG(19,"Effective against 99% of all    "
    "known germs (& gases!)")
MSG(20,"A yellow and a white button jut "
    "from the panel.The yellow one is"
    "labelled \"RUN-DOWN SWITCH-MUST  "
    "BE PRESSED BEFORE DE-ARMING     "
    "BOMB.\"The white button is marked"
    "\"DE-ARM SWITCH\".The labels are  "
    "oddly positioned,and it seems as"
    "if they may have been switched!")
MSG(21,"4 shots remaining.")
MSG(22,"3 shots remaining.")
MSG(23,"2 shots remaining.")
MSG(24,"1 shot remaining.")
MSG(25,"The huskies bark loudly and run "
    "away wildly,scattering the piled"
    "snow as they go!")
MSG(26,"A fresh snowbank blocks your way"
    "northwards.")
MSG(27,"You fall through the ice into   "
    "the freezing water-it would     "
    "seem your weight and the weight "
    "of your possessions combined    "
    "was too much for the ice!")
MSG(28,"You slip from the ice and plunge"
    "into the ice floe far below!")
MSG(29,"The ice is too sheer-you need   "
    "some form of climbing gear!")
MSG(30,"A shot rings out!")
MSG(31,"The wolves scatter at the sound "
    "of the gun!")
MSG(32,"A pack of wolves emerge from    "
    "behind a ledge of packed ice!")
MSG(33,"You are being stalked by a pack "
    "of hungry wolves!")
MSG(34,"The wolves realise you are no   "
    "threat and fall upon you with   "
    "howls of triumph!")
MSG(35,"The ice dazzles you,and unable  "
    "to get your bearings you tumble "
    "and fall from the cave!")
MSG(36,"The cold freezes you instantly!")
MSG(37,"You collapse from frostbite!    "
    "(Keep the gloves on next time!)")
MSG(38,"Wolves howl across the frozen   "
    "plains!")
MSG(39,"\"How about something to eat?\"   "
    "grumbles the chief!He pauses    "
    "briefly as if deciding whether  "
    "to rub noses or not!")
MSG(40,"The eskimo grabs the fish and   "
    "gives you a present.\"I'm off    "
    "to cook this\",he chortles,      "
    "disappearing into the igloo.")
MSG(41,"The Yeti snarls loudly and      "
    "blocks you!")
MSG(42,"The stove explodes and the fire "
    "catches the creatures'fur!With  "
    "a loud bellow it falls into the "
    "cave-There is a loud splash!")
MSG(43,"With what?")
MSG(44,"The match burns to nothing.")
MSG(45,"Just how many things do you want"
    "to wear on your feet?")
MSG(46,"Without skis you rapidly sink   "
    "into the loose snow,and are     "
    "unable to climb back out!")
MSG(47,"You ski down the slope,but the  "
    "skis are uncontrolable and you  "
    "head rapidly towards a deep     "
    "ravine at the bottom of the     "
    "slope!")
MSG(48,"You ski over the snow and with  "
    "the sticks turn away from the   "
    "ravine!")
MSG(49,"The snow is too loosely packed  "
    "to climb!")
MSG(50,"You trudge easily up the slope!")
MSG(51,"You catch a fish;it must be at  "
    "least  <<   THIS BIG!!  >>")
MSG(52,"Nothing seems to be biting today"
    "")
MSG(53,"A huge snowplough is speeding   "
    "across the ice field towards    "
    "you.Armed men are visible in    "
    "its' cabin!")
MSG(54,"The snowplough pulls up beside  "
    "you and you are captured!You are"
    "led away for \"questioning\"...")
MSG(55,"You clumsily remove the pin and "
    "throw it away.")
MSG(56,"The grenade explodes with a     "
    "loud detonation!")
MSG(57,"The Grenade explodes directly in"
    "front of the plough,shattering  "
    "its' tracks!With a screaming of "
    "gears the plough slews across   "
    "the ice and overturns,exploding "
    "in a ball of flames!")
MSG(58,"An ordinary Hand-grenade.")
MSG(59,"Primed to explode!")
MSG(60,"OOPS!!-The grenade explodes-and "
    "it would seem you are still     "
    "holding it!")
MSG(61,"The flare flies high into the   "
    "air in a ball of flame but soon "
    "fades!")
MSG(62,"The flare flies into the air but"
    "sparks fall to the helicopter,  "
    "igniting the petrol!There is a  "
    "deafening explosion that throws "
    "you to the ground but the polar "
    "bear catches the full force of  "
    "the blast!")
MSG(63,"The bear falls upon you hungrily"
    "roaring aloud in triumph-claws  "
    "lunge powerfully at you..!!")
MSG(64,"You are being chased by an      "
    "enormous polar bear!")
MSG(65,"The flare flies into the air but"
    "sparks fall onto the petrol     "
    "soaked helicopter igniting it!  "
    "there is a tremendous explosion "
    "as you catch the full force of  "
    "the blast!")
MSG(66,"The cases tumble over as shots  "
    "fly above your head;the guard is"
    "crushed by the heavy cases and  "
    "slumps across the ground!")
MSG(67,"You are unable to move them now "
    "as they are scattered on the    "
    "ground.")
MSG(68,"Too heavy to lift-it's too much "
    "of a dead weight!")
MSG(69,"It's held firm!")
MSG(70,"3 buttons:PLAY,RECORD and REWIND"
    "")
MSG(71,"A brief,badly recorded message  "
    "seems to say \"Weather report 45a"
    "-Beta:Deep snowdrifts expected.\""
    "The rest of the tape seems to be"
    "extracts from an Australian 'B' "
    "side Remix of a 'Nanook Goes to "
    "Reykjavik' song!")
MSG(72,"You record your voice.")
MSG(73,"The tape rewinds to the start.")
MSG(74,"Info-gather 4:Ice station 0     "
    "reports snowed in under heavy   "
    "drifts.Strange rise in          "
    "temperature recorded west of    "
    "station;reason unknown.RED ALERT"
    "on all sections open to outer   "
    "interference.Station 0 under    "
    "attack..Radio transmissions out!"
    "")
MSG(75,"The harpoon flies off into the  "
    "distance,trailing a long rope!")
MSG(76,"The rope catches!")
MSG(77,"How? The ice is sheer!")
MSG(78,"You clamber up the rope")
MSG(79,"You fall into the hole!You seem "
    "to fall a long way,but as the   "
    "ground looms up a large clump of"
    "vegetation breaks your fall!")
MSG(80,"With the gloves on you are      "
    "unable to get a proper grip!")
MSG(81,"The bird grabs the spear and    "
    "crushes it angrily!")
MSG(82,"The noise from the cassette     "
    "scares the bird!With a deafening"
    "scream it flies off through the "
    "opening,leaving the nest empty!")
MSG(83,"A helicopter flies overhead     "
    "trailing smoke!It disappears    "
    "into the snow losing height     "
    "rapidly!")
MSG(84,"A shell flies from the bazooka  "
    "and explodes into the air above!"
    "")
MSG(85,"The shell fires across the fence"
    "and explodes at the generator   "
    "destroying it completely!")
MSG(86,"The fence is electrified!")
MSG(87,"You open the fence and enter.")
MSG(88,"The gate is shut!")
MSG(89,"Oh well,I suppose you need the  "
    "exercise!")
MSG(90,"You slowly clear the snow.")
MSG(91,"You open the door and enter the "
    "ice station!")
MSG(92,"Snow drifts stop you.")
MSG(93,"You paw at the ground,but       "
    "without a shovel you don't get  "
    "very far!")
MSG(94,"Which one may that be,egg-head?")
MSG(95,"The doors shut and there is a   "
    "sensation of movement before    "
    "the doors open again.")
MSG(96,"You cannot walk through locked  "
    "doors!")
MSG(97,"You see 3 buttons, being green, "
    "red and blue in colour.")
MSG(98,"You unlock the door and enter.")
MSG(99,"You have no keys (and the door  "
    "is very thick!)")
MSG(100,"Security door level green.No    "
    "admittance without authorisation"
    "")
MSG(101,"An electronic voice wails from  "
    "hidden speakers:                "
    "\"GET LOST,BUDDY!\"")
MSG(102,"\"HAVE A NICE DAY!\"")
MSG(103,"The canister shatters releasing "
    "poison gas!It soon disperses!")
MSG(104,"The canister shatters releasing "
    "poison gas-you are defenceless!")
MSG(105,"Stirling falls to the ground as "
    "gas fills the room!\"You are too "
    "late,fool!\"he gasps as he falls "
    "to the ground clutching his     "
    "throat.\"I have activated the    "
    "bomb!\"-He gasps once and is     "
    "still!")
MSG(106,"A trapdoor opens beneath your   "
    "feet!You fall into the darkness!"
    "")
MSG(107,"LIFT AT LEVEL REQUESTED.")
MSG(108,"\"MISSILE LAUNCH TIME PRESET     "
    "RUNNING...LAUNCH TIME 10 STD.   "
    "MINUTES.AUTO-ARM PROCEDURE      "
    "COMMENCED..PERSONNEL EVACUATED\"")
MSG(109,"The entire station shakes as the"
    "missile is launched!You are too "
    "late-the projectile clears the  "
    "station on its pre-set course!")
MSG(110,"5 SECONDS TO LAUNCH TIME")
MSG(111,"4 SECONDS TO LAUNCH TIME")
MSG(112,"3 SECONDS TO LAUNCH TIME..VISUAL"
    "SCAN STAND-BY..                 "
    "")
MSG(113,"2 SECONDS TO LAUNCH TIME")
MSG(114,"1 SECOND TO LAUNCH TIME-VISUAL  "
    "SCAN HOLDING..                  "
    "")
MSG(115,"RUN-DOWN SYSTEM ACCESSED..AWAIT "
    "NEW COMMAND..")
MSG(116,"\"OUT OF SEQUENCE PROGRAM!!\"     "
    "The bomb explodes!")
MSG(117,"The bomb runs down and de-arms! "
    "You've done it-your mission is  "
    "a complete success!Well done!   "
    "With the threat undone,rescue   "
    "agents speed towards the station"
    "to take you home!")
MSG(118,"Something grabs you in the dark!"
    "A heavy blow knocks you         "
    "senseless!")
MSG(119,"You can hear something moving   "
    "about in the dark!")
MSG(120,"A group of cannibals spin around"
    "with annoyance as you enter!")
MSG(121,"You are being chased by a gang  "
    "of blood-thirsty cannibals!")
MSG(122,"The cannibals rush past not     "
    "noticing your hiding place.The  "
    "sounds of pursuit die away up   "
    "the tunnel!")
MSG(123,"The cannibals fall upon you     "
    "with cries of triumph!")
MSG(124,"The torch sizzles and blows out!"
    "It turns to ash!")
MSG(125,"The bird notices you and with   "
    "a swipe of its massive leathery "
    "wings sweeps you into its nest  "
    "viciously!")
MSG(126,"The bird attacks with a         "
    "deafening shriek!You are no     "
    "match for the enormous creatures"
    "speed!")
MSG(127,"The Yeti grabs the gun and      "
    "smashes it to pieces,snarling   "
    "angrily!")
MSG(128,"The tree branch forms a bridge  "
    "across the pecipice!")
MSG(129,"You plunge into the precipice-  "
    "try and watch where you're going"
    "next time!")
MSG(130,"")
MSG(131,"You jump about madly for a while"
    "leaving little footprints!")
MSG(132,"Nobody here wants it!")
MSG(133,"It's just possible you may have "
    "been over-doing things!")
MSG(134,"You're a bit off the beaten     "
    "track to expect help around     "
    "here! It's just as well that a  "
    "hint sheet is still available   "
    "from our usual adress on receipt"
    "of a large SAE. Also remember   "
    "that STORE executes a Ramsave,  "
    "and that CALL does a Ram load.  "
    "Also bear in mind that WORDS    "
    "will display no pictures, and   "
    "that PICTURES will turn the     "
    "graphics back on again if you   "
    "have turned them ~ OFF ~.")
MSG(135,"The air turns blue at your      "
    "advanced Anglo-Saxon!")
MSG(136,"where?")
MSG(137,"UGH!")
MSG(138,"Your choice of footwear for     "
    "crossing the precipice does seem"
    "a little strange!You slip from  "
    "the branch..")
MSG(139,"Random violence(without the     "
    "necessary hardware) is not      "
    "recommended!")
MSG(140,"You duck as a sound alerts you, "
    "and the massive form of the     "
    "pterodactyl swoops over you!It  "
    "rises into the air and turns    "
    "far above,swooping down for a   "
    "new attack!")
MSG(141,"The pterodactyl is swooping down"
    "towards you!!")
MSG(142,"The spear pierces the birds wing"
    "and with a loud screech it falls"
    "to earth in the distance!There  "
    "is a loud crash as it plummets  "
    "into the precipice,then silence."
    "")
MSG(143,"The bird swoops down claws      "
    "raised to exact vengance for    "
    "your intrusion...")
MSG(144,"you hear nothing special.")
MSG(145,"You smell nothing unusual.")
MSG(146,"You can smell petrol!")
MSG(147,"MMMMMM!")
MSG(148,"It's already lit!")
MSG(149,"The snow is cleared!")
MSG(150,"You fall into the precipice!    "
    "(Watch where you are going next "
    "time!)")
MSG(151,"BOOM!")

$$SYSTEM_MESSAGES

MSG(0,"Everything is dark.")
MSG(1,"Near to hand you can also see")
MSG(2,"What Next?")
MSG(3,"What Next?")
MSG(4,"What Now?")
MSG(5,"Now What?")
MSG(6,"Please be more specific.")
MSG(7,"You can't go that way.")
MSG(8,"I nearly understand..")
MSG(9,"You currently have with you:-")
MSG(10,"(worn)")
MSG(11,"Nothing.")
MSG(12,"Really Quit?")
MSG(13,"END OF GAME. Do you want another"
    "game? ( YES re-starts again from"
    "the beginning, NO returns to 48K"
    " basic, destroying ram-saves! )")
MSG(14,"Go on then - clear off..")
MSG(15,"OK")
MSG(16,"")
MSG(17,"")
MSG(18,"")
MSG(19,"")
MSG(20,"")
MSG(21,"You have scored ")
MSG(22," out of a       possible 100.")
MSG(23,"You're not wearing it!")
MSG(24,"Your hands are full.")
MSG(25,"You have that!")
MSG(26,"Go and find it then!")
MSG(27,"You can't carry any more.")
MSG(28,"You don't have it.")
MSG(29,"You ARE wearing it!")
MSG(30,"Y")
MSG(31,"N")

$$OBJECTS(4)

OBJ(0,"Light shining in from outside.",_,75)
OBJ(1,"A thick kagool",KAGO,$WORN)
OBJ(2,"A sharp ice-pick",PICK,1)
OBJ(3,"A slippery fish",USE,$NOWHERE)
OBJ(4,"A loaded harpoon gun",_,46)
OBJ(5,"An empty harpoon gun",_,$NOWHERE)
OBJ(6,"A rope hanging down from above",_,$NOWHERE)
OBJ(7,"A corpse",_,62)
OBJ(8,"An official I.D. card.",ID,$NOWHERE)
OBJ(9,"Great drifts of snow loosely    "
    "packed upon the entrance door",_,59)
OBJ(10,"A flare pistol",_,34)
OBJ(11,"An empty flare pistol",_,$NOWHERE)
OBJ(12,"A crashed helicopter slewed over"
    "the snow.Damaged rotor blades   "
    "straddle the wreckage,but the   "
    "cockpit looks just accessible.",_,40)
OBJ(13,"A fossilised tree limb",_,77)
OBJ(14,"A pair of skis",SKIS,1)
OBJ(15,"Ski-sticks",STIC,$NOWHERE)
OBJ(16,"Snow goggles",GLAS,1)
OBJ(17,"A pair of thick gloves",GLOV,$WORN)
OBJ(18,"An empty bazooka",_,55)
OBJ(19,"A loaded bazooka",_,$NOWHERE)
OBJ(20,"A bazooka shell.",SHEL,39)
OBJ(21,"A team of huskies and a sledge. "
    "The dogs are straining at their "
    "leash violently,but they are    "
    "tied to a large pole nearby.    "
    "The dogs howl pleadingly as you "
    "approach.",_,2)
OBJ(22,"A loaded hand gun",_,$NOWHERE)
OBJ(23,"An empty hand gun",_,$NOWHERE)
OBJ(24,"A thin fishing rod",ROD,27)
OBJ(25,"An enemy guard crouching behind "
    "several cases as you enter.A gun"
    "is trained upon you,blocking the"
    "exit.\"Do not move!\"he sneers,\"Or"
    "it will be your last!\"-he moves "
    "towards you!",_,45)
OBJ(26,"A large cassette recorder",CASS,$NOWHERE)
OBJ(27,"An enormous polar bear that     "
    "rises to its full height as you "
    "approach!It charges forward,    "
    "roaring loudly!",_,42)
OBJ(28,"A dead guard",_,$NOWHERE)
OBJ(29,"A sight that forces you to hide "
    "in the shadows of the cave!In   "
    "the centre of the cavern in an  "
    "enormous nest the huge form of  "
    "a Pterodactyl claws at the stone"
    "-it pauses as you enter,        "
    "searching the darkness-an ear   "
    "piercing screech seems to shake "
    "the stone!",_,80)
OBJ(30,"A security door blocking the    "
    "east wall.A small chute is by   "
    "the wall above which moves an   "
    "electronic camera that moves in "
    "your direction as you enter!",_,66)
OBJ(31,"A green canister.",PELL,63)
OBJ(32,"A strange gas mask",GAS,69)
OBJ(33,"A set of standard keys",KEYS,69)
OBJ(34,"A guttering torch.",TORC,70)
OBJ(35,"A nuclear missile.The projectile"
    "juts from the roof above,but at "
    "this level you are directly In  "
    "line with the weapons arming and"
    "control panel which is jammed   "
    "open.A flashing yellowbutton    "
    "marked \"Run-down switch\" and a  "
    "white button marked\"De-arm      "
    "switch\" dominate the facia.",_,68)
OBJ(36,"      A flashing Red            "
    "       lift button O",_,65)
OBJ(37,"      A flashing Green          "
    "       lift button O",_,$NOWHERE)
OBJ(38,"      A flashing Blue           "
    "       lift button O",_,$NOWHERE)
OBJ(39,"A Primus stove",_,29)
OBJ(40,"A lit Primus stove.",_,$NOWHERE)
OBJ(41,"An unstruck match.",_,27)
OBJ(42,"A lit match.",_,$NOWHERE)
OBJ(43,"A huge white shape blocking the "
    "cave entrance!Slowly you realise"
    "the huge beast is watching you! "
    "The creature snarls as you      "
    "approach-you are looking at the "
    "enormous bulk of a YETI!",_,22)
OBJ(44,"A pair of battered snow shoes",SHOE,38)
OBJ(45,"The chief eskimo sitting on a   "
    "small whale blubber armchair.   "
    "He nods to you as you approach.",_,30)
OBJ(46,"A grenade",_,18)
OBJ(47,"A grenade",_,$NOWHERE)
OBJ(48,"A thin native spear",_,73)
OBJ(49,"A shovel.",SHOV,60)
OBJ(50,"\"Come in,\"purrs a large man as  "
    "you enter.You notice you are    "
    "standing on a tiled square.\"My  "
    "name is Stirling,\"continues the "
    "man,\"And I'm afraid you are my  "
    "prisoner!\"",_,67)
OBJ(51,"Stirlings'body",_,$NOWHERE)
OBJ(52,"A rusty clamp",RUST,4)

$$CONNECTIONS

FROM(0)
    CONN(IN,1)
    CONN(N,2)
FROM(1)
    CONN(OUT,0)
FROM(2)
    CONN(S,0)
FROM(3)
    CONN(S,2)
    CONN(E,4)
FROM(4)
    CONN(W,3)
    CONN(S,5)
FROM(5)
    CONN(N,4)
    CONN(S,6)
FROM(6)
    CONN(N,5)
    CONN(JUMP,7)
FROM(7)
    CONN(JUMP,6)
    CONN(E,8)
FROM(8)
    CONN(JUMP,9)
    CONN(W,7)
FROM(9)
    CONN(N,10)
    CONN(JUMP,8)
FROM(10)
    CONN(S,9)
FROM(11)
    CONN(D,10)
    CONN(E,12)
FROM(12)
    CONN(W,11)
FROM(13)
    CONN(D,12)
    CONN(E,14)
FROM(14)
    CONN(W,13)
    CONN(E,15)
FROM(15)
    CONN(U,16)
    CONN(E,18)
FROM(16)
    CONN(D,15)
    CONN(E,17)
FROM(17)
    CONN(W,16)
    CONN(E,19)
FROM(18)
    CONN(W,15)
FROM(19)
    CONN(W,17)
    CONN(E,20)
FROM(20)
    CONN(W,19)
    CONN(S,21)
    CONN(SE,24)
FROM(21)
    CONN(N,20)
    CONN(E,24)
    CONN(S,22)
FROM(22)
    CONN(N,21)
FROM(23)
    CONN(OUT,22)
    CONN(N,22)
FROM(24)
    CONN(NW,20)
    CONN(W,21)
    CONN(N,25)
    CONN(E,31)
FROM(25)
    CONN(N,26)
    CONN(S,24)
FROM(26)
    CONN(N,28)
    CONN(S,25)
    CONN(IN,27)
    CONN(W,27)
FROM(27)
    CONN(OUT,26)
FROM(28)
    CONN(S,26)
    CONN(N,30)
    CONN(IN,29)
FROM(29)
    CONN(OUT,28)
FROM(30)
    CONN(S,28)
FROM(31)
    CONN(W,24)
    CONN(E,32)
FROM(32)
    CONN(W,31)
    CONN(E,33)
FROM(33)
    CONN(W,32)
    CONN(E,35)
FROM(34)
    CONN(OUT,35)
FROM(35)
    CONN(IN,34)
    CONN(W,33)
    CONN(S,36)
FROM(36)
    CONN(N,35)
FROM(37)
    CONN(S,38)
FROM(38)
    CONN(N,37)
    CONN(S,40)
FROM(39)
    CONN(OUT,40)
FROM(40)
    CONN(N,38)
    CONN(W,41)
FROM(41)
    CONN(E,40)
    CONN(S,42)
FROM(42)
    CONN(S,43)
    CONN(N,41)
FROM(43)
    CONN(N,42)
    CONN(E,44)
FROM(44)
    CONN(W,43)
    CONN(S,47)
    CONN(IN,45)
    CONN(E,45)
FROM(46)
    CONN(W,47)
FROM(47)
    CONN(N,44)
    CONN(W,48)
    CONN(E,46)
FROM(48)
    CONN(E,47)
FROM(49)
    CONN(E,50)
FROM(50)
    CONN(W,49)
FROM(51)
    CONN(W,50)
    CONN(E,52)
FROM(52)
    CONN(W,51)
    CONN(N,53)
FROM(53)
    CONN(N,54)
    CONN(S,52)
    CONN(E,56)
FROM(54)
    CONN(U,55)
    CONN(S,53)
FROM(55)
    CONN(D,54)
FROM(56)
    CONN(W,53)
FROM(57)
    CONN(S,58)
FROM(58)
    CONN(N,57)
    CONN(S,59)
    CONN(W,56)
FROM(59)
    CONN(N,58)
    CONN(S,60)
FROM(60)
    CONN(N,59)
FROM(61)
    CONN(OUT,59)
    CONN(N,62)
FROM(62)
    CONN(N,64)
    CONN(S,61)
FROM(63)
    CONN(E,64)
FROM(64)
    CONN(IN,65)
    CONN(S,62)
    CONN(E,65)
FROM(66)
    CONN(IN,65)
    CONN(W,65)
FROM(68)
    CONN(S,67)
FROM(69)
    CONN(IN,65)
    CONN(W,65)
FROM(70)
    CONN(OUT,71)
FROM(71)
    CONN(IN,70)
    CONN(NE,72)
    CONN(E,73)
FROM(72)
    CONN(S,73)
    CONN(SW,71)
FROM(73)
    CONN(N,72)
    CONN(S,74)
    CONN(W,71)
FROM(74)
    CONN(N,73)
FROM(76)
    CONN(U,77)
    CONN(D,75)
FROM(77)
    CONN(U,79)
    CONN(IN,78)
    CONN(D,76)
FROM(78)
    CONN(OUT,77)
FROM(79)
    CONN(D,77)
    CONN(E,80)
FROM(80)
    CONN(W,79)

$$EVENTS

EVENT
    ISDESC
    CLS
    SHOWLOC
    NEWLINE
    LISTOBJ
EVENT
    AT(42)
    EQ(17,0)
    LET(16,4)
EVENT
    NOTZERO(16)
    MESSAGE(64)
EVENT
    EQ(16,1)
    MESSAGE(63)
    SCORE
    END
EVENT
    NOTZERO(16)
    MINUS(16,1)
EVENT
    AT(18)
    NOTWORN(16)
    MESSAGE(35)
    SCORE
    END
EVENT
    AT(31)
    EQ(15,0)
    SET(8)
EVENT
    NOTZERO(8)
    MESSAGE(53)
EVENT
    EQ(8,253)
    MESSAGE(54)
    SCORE
    END
EVENT
    NOTZERO(8)
    SET(15)
EVENT
    AT(30)
    PRESENT(45)
    CHANCE(50)
    MESSAGE(39)
EVENT
    ATLT(11)
    NOTAT(2)
    NOTAT(1)
    NOTAT(0)
    CHANCE(25)
    EQ(5,0)
    LET(5,5)
    MESSAGE(32)
EVENT
    NOTZERO(5)
    MESSAGE(33)
EVENT
    EQ(5,1)
    MESSAGE(34)
    SCORE
    END
EVENT
    ATLT(3)
    CLEAR(5)
EVENT
    ATGT(10)
    LET(5,0)
EVENT
    ATLT(14)
    CHANCE(30)
    EQ(5,0)
    MESSAGE(38)
EVENT
    EQ(6,1)
    MESSAGE(44)
    DESTROY(42)
EVENT
    AT(58)
    EQ(9,0)
    SET(22)
    MESSAGE(140)
    SET(9)
EVENT
    GT(22,100)
    MESSAGE(141)
EVENT
    GT(9,200)
    MINUS(22,1)
EVENT
    EQ(22,249)
    MESSAGE(143)
    SCORE
    END
EVENT
    AT(20)
    EQ(19,0)
    MESSAGE(83)
    SET(19)
EVENT
    AT(75)
    EQ(14,10)
    LET(26,4)
    MESSAGE(120)
    LET(14,100)
EVENT
    NOTZERO(26)
    MESSAGE(121)
EVENT
    NOTAT(78)
    EQ(26,1)
    MESSAGE(123)
    SCORE
    END
EVENT
    AT(78)
    NOTZERO(26)
    CLEAR(26)
    MESSAGE(122)
    PLUS(30,3)
    DONE
EVENT
    NOTZERO(26)
    MINUS(26,1)
EVENT
    ATGT(74)
    NOTCARR(34)
    EQ(0,0)
    SET(0)
EVENT
    CARRIED(34)
    NOTZERO(0)
    CLEAR(0)
EVENT
    ATLT(75)
    NOTZERO(0)
    CLEAR(0)
EVENT
    AT(77)
    NOTZERO(0)
    MESSAGE(118)
    SCORE
    END
EVENT
    AT(76)
    NOTZERO(0)
    MESSAGE(119)
EVENT
    AT(8)
    GT(1,2)
    MESSAGE(27)
    SCORE
    END
EVENT
    CARRIED(22)
    EQ(11,4)
    DESTROY(22)
    CREATE(23)
    GET(23)
    DONE
EVENT
    ATLT(61)
    NOTWORN(17)
    PLUS(13,1)
EVENT
    ATLT(61)
    EQ(13,5)
    MESSAGE(37)
    SCORE
    END
EVENT
    ATLT(61)
    NOTWORN(1)
    MESSAGE(36)
    SCORE
    END
EVENT
    CARRIED(47)
    EQ(7,250)
    MESSAGE(151)
    MESSAGE(60)
    BEEP(100,120)
    BEEP(100,144)
    BEEP(100,142)
    BEEP(100,118)
    BEEP(100,114)
    BEEP(100,138)
    BEEP(100,134)
    BEEP(100,110)
    BEEP(100,106)
    BEEP(50,138)
    BEEP(50,130)
    BEEP(50,128)
    BEEP(50,124)
    BEEP(50,120)
    BEEP(25,118)
    BEEP(25,120)
    BEEP(150,118)
    BEEP(50,114)
    BEEP(25,118)
    BEEP(25,114)
    BEEP(100,110)
    SCORE
    END
EVENT
    NOTCARR(47)
    EQ(7,250)
    MESSAGE(56)
    DESTROY(47)
EVENT
    AT(22)
    PRESENT(43)
    CARRIED(22)
    MESSAGE(127)
    DESTROY(22)
    DONE
EVENT
    EQ(21,3)
    DESTROY(9)
    MESSAGE(149)
    CLEAR(21)
    DONE
EVENT
    AT(61)
    EQ(24,0)
    SET(23)
    SET(24)
    MESSAGE(108)
EVENT
    NOTZERO(23)
    MINUS(23,1)
EVENT
    EQ(23,220)
    MESSAGE(109)
    SCORE
    END
EVENT
    EQ(23,221)
    MESSAGE(114)
EVENT
    EQ(23,223)
    MESSAGE(112)
EVENT
    EQ(23,224)
    MESSAGE(111)
EVENT
    EQ(23,225)
    MESSAGE(110)
EVENT
    EQ(23,222)
    MESSAGE(113)
EVENT
    AT(80)
    PRESENT(29)
    PLUS(25,1)
EVENT
    EQ(25,5)
    MESSAGE(126)
    SCORE
    END
EVENT
    EQ(9,200)
    PLUS(9,1)

$$ACTIONS

ACTION(_,_)
    TRYMOVE
    DESC
ACTION(N,_)
    AT(2)
    PRESENT(21)
    MESSAGE(26)
  ELSE
    AT(2)
    ABSENT(21)
    GOTO(3)
    DESC
  ELSE
    AT(67)
    PRESENT(50)
    MESSAGE(106)
    SCORE
    END
  ELSE
    AT(67)
    ABSENT(50)
    GOTO(68)
    DESC
ACTION(S,_)
    AT(22)
    PRESENT(43)
    MESSAGE(41)
  ELSE
    AT(22)
    ABSENT(43)
    GOTO(23)
    DESC
  ELSE
    AT(48)
    MESSAGE(79)
    PAUSE(250)
    GOTO(72)
    DESC
ACTION(E,_)
    AT(12)
    MESSAGE(28)
    SCORE
    END
  ELSE
    AT(56)
    MESSAGE(88)
  ELSE
    AT(66)
    ABSENT(30)
    GOTO(67)
    DESC
  ELSE
    AT(66)
    PRESENT(30)
    MESSAGE(101)
  ELSE
    AT(80)
    PRESENT(29)
    MESSAGE(125)
    SCORE
    END
  ELSE
    AT(80)
    ABSENT(29)
    GOTO(49)
    CLEAR(0)
    DESC
  ELSE
    AT(50)
    PRESENT(13)
    NOTCARR(13)
    NOTWORN(14)
    NOTWORN(44)
    GOTO(51)
    DESC
  ELSE
    AT(50)
    NOTCARR(13)
    ABSENT(13)
    MESSAGE(129)
    SCORE
    END
  ELSE
    AT(50)
    CARRIED(13)
    MESSAGE(129)
    SCORE
    END
  ELSE
    AT(50)
    PRESENT(13)
    NOTCARR(13)
    WORN(14)
    MESSAGE(138)
    SCORE
    END
  ELSE
    AT(50)
    PRESENT(13)
    NOTCARR(13)
    WORN(44)
    MESSAGE(138)
    SCORE
    END
ACTION(W,_)
    AT(11)
    MESSAGE(28)
    SCORE
    END
  ELSE
    AT(64)
    MESSAGE(96)
  ELSE
    AT(67)
    PRESENT(50)
    MESSAGE(106)
    SCORE
    END
  ELSE
    AT(67)
    ABSENT(50)
    GOTO(66)
    DESC
  ELSE
    AT(49)
    NOTCARR(34)
    SET(0)
    GOTO(80)
    DESC
  ELSE
    AT(49)
    CARRIED(34)
    GOTO(80)
    CLEAR(0)
    DESC
  ELSE
    AT(37)
    MESSAGE(150)
    SCORE
    END
ACTION(U,_)
    AT(11)
    MESSAGE(28)
    SCORE
    END
  ELSE
    AT(10)
    NOTCARR(2)
    MESSAGE(29)
  ELSE
    AT(10)
    CARRIED(2)
    GOTO(11)
    DESC
  ELSE
    AT(12)
    NOTCARR(2)
    MESSAGE(29)
  ELSE
    AT(12)
    CARRIED(2)
    GOTO(13)
    DESC
  ELSE
    AT(37)
    NOTWORN(44)
    MESSAGE(49)
  ELSE
    AT(37)
    WORN(44)
    GOTO(36)
    MESSAGE(50)
    PAUSE(100)
    DESC
  ELSE
    AT(72)
    ABSENT(6)
    MESSAGE(77)
  ELSE
    AT(72)
    PRESENT(6)
    GOTO(48)
    MESSAGE(78)
    PAUSE(100)
    DESC
  ELSE
    AT(75)
    GOTO(76)
    DESC
ACTION(D,_)
    AT(12)
    MESSAGE(28)
    SCORE
    END
  ELSE
    AT(13)
    NOTCARR(2)
    MESSAGE(28)
    SCORE
    END
  ELSE
    AT(11)
    NOTCARR(2)
    MESSAGE(28)
    SCORE
    END
  ELSE
    AT(36)
    NOTWORN(14)
    MESSAGE(46)
    SCORE
    END
  ELSE
    AT(36)
    WORN(14)
    NOTCARR(15)
    MESSAGE(47)
    SCORE
    END
  ELSE
    AT(36)
    WORN(14)
    CARRIED(15)
    MESSAGE(48)
    PAUSE(100)
    GOTO(37)
    DESC
ACTION(IN,_)
    AT(40)
    PRESENT(12)
    GOTO(39)
    DESC
  ELSE
    PRESENT(9)
    MESSAGE(92)
  ELSE
    AT(59)
    ABSENT(9)
    GOTO(61)
    MESSAGE(91)
    PAUSE(100)
    DESC
  ELSE
    AT(74)
    GOTO(75)
    DESC
ACTION(OUT,_)
    AT(45)
    PRESENT(25)
    MESSAGE(30)
    SCORE
    END
  ELSE
    AT(45)
    ABSENT(25)
    GOTO(44)
    DESC
  ELSE
    AT(65)
    PRESENT(36)
    GOTO(64)
    DESC
  ELSE
    PRESENT(37)
    GOTO(66)
    DESC
  ELSE
    PRESENT(38)
    GOTO(69)
    DESC
  ELSE
    AT(75)
    CLEAR(0)
    GOTO(74)
    DESC
ACTION(JUMP,_)
    MESSAGE(131)
ACTION(USE,ROD)
    AT(23)
    CARRIED(24)
    NOTZERO(14)
    MESSAGE(52)
    DONE
  ELSE
    AT(23)
    CARRIED(24)
    EQ(14,0)
    MESSAGE(51)
    CREATE(3)
    GET(3)
    LET(14,10)
    PLUS(30,3)
    DONE
ACTION(PRES,BUTT)
    AT(65)
    MESSAGE(94)
ACTION(PRES,RED)
    PRESENT(36)
    MESSAGE(107)
  ELSE
    PRESENT(37)
    SWAP(37,36)
    MESSAGE(95)
    PAUSE(100)
    DESC
  ELSE
    PRESENT(38)
    SWAP(38,36)
    MESSAGE(95)
    PAUSE(100)
    DESC
ACTION(PRES,BLUE)
    PRESENT(38)
    MESSAGE(107)
  ELSE
    PRESENT(36)
    SWAP(36,38)
    MESSAGE(95)
    PAUSE(100)
    DESC
  ELSE
    PRESENT(37)
    SWAP(37,38)
    MESSAGE(95)
    PAUSE(100)
    DESC
ACTION(PRES,GREE)
    PRESENT(37)
    MESSAGE(107)
  ELSE
    PRESENT(36)
    SWAP(36,37)
    MESSAGE(95)
    PAUSE(100)
    DESC
  ELSE
    PRESENT(38)
    SWAP(38,37)
    MESSAGE(95)
    PAUSE(100)
    DESC
ACTION(PRES,RECO)
    PRESENT(26)
    MESSAGE(72)
ACTION(PRES,REWI)
    CARRIED(26)
    ABSENT(29)
    MESSAGE(73)
    SET(18)
    DONE
ACTION(PRES,CASE)
    AT(45)
    PRESENT(25)
    SWAP(25,28)
    CREATE(26)
    MESSAGE(66)
    PLUS(30,4)
    DONE
  ELSE
    AT(45)
    ABSENT(25)
    MESSAGE(67)
    DONE
ACTION(PRES,PLAY)
    PRESENT(26)
    ABSENT(29)
    EQ(18,0)
    MESSAGE(71)
  ELSE
    CARRIED(26)
    NOTZERO(18)
    MESSAGE(74)
    CLEAR(18)
    DONE
  ELSE
    AT(80)
    CARRIED(26)
    PRESENT(29)
    DESTROY(29)
    MESSAGE(82)
    PLUS(30,5)
    DONE
ACTION(PRES,YELL)
    AT(68)
    LT(25,200)
    MESSAGE(116)
    SCORE
    END
  ELSE
    AT(68)
    EQ(25,200)
    MESSAGE(117)
    CLEAR(23)
    PLUS(30,10)
    SCORE
    END
ACTION(PRES,WHIT)
    AT(68)
    MESSAGE(115)
    LET(25,200)
    DONE
ACTION(FREE,DOG)
    AT(2)
    PRESENT(21)
    DESTROY(21)
    MESSAGE(25)
    PLUS(30,1)
    PLUS(22,1)
ACTION(FIRE,HARP)
    CARRIED(4)
    NOTAT(72)
    MESSAGE(75)
    SWAP(4,5)
    DONE
  ELSE
    AT(72)
    CARRIED(4)
    DESTROY(4)
    CREATE(6)
    MESSAGE(76)
    DONE
  ELSE
    CARRIED(5)
    MESSAGE(9)
    DONE
ACTION(FIRE,FLAR)
    NOTZERO(16)
    AT(40)
    CARRIED(10)
    SWAP(10,11)
    LET(16,0)
    SET(17)
    MESSAGE(62)
    DESTROY(27)
    DESTROY(12)
    PLUS(30,10)
    DONE
  ELSE
    NOTAT(40)
    NOTAT(39)
    CARRIED(10)
    SWAP(10,11)
    MESSAGE(61)
    DONE
  ELSE
    CARRIED(11)
    MESSAGE(9)
    DONE
  ELSE
    AT(40)
    EQ(16,0)
    CARRIED(10)
    MESSAGE(65)
    SCORE
    END
  ELSE
    AT(39)
    CARRIED(10)
    MESSAGE(65)
    SCORE
    END
ACTION(FIRE,BAZO)
    AT(55)
    CARRIED(19)
    SWAP(19,18)
    MESSAGE(85)
    SET(20)
    PLUS(30,6)
    DONE
  ELSE
    NOTAT(55)
    CARRIED(19)
    SWAP(19,18)
    MESSAGE(84)
    DONE
  ELSE
    CARRIED(18)
    MESSAGE(9)
    DONE
ACTION(FIRE,GUN)
    CARRIED(22)
    EQ(5,0)
    MESSAGE(30)
    PLUS(11,1)
    DONE
  ELSE
    CARRIED(23)
    MESSAGE(9)
    DONE
  ELSE
    CARRIED(22)
    NOTZERO(5)
    MESSAGE(31)
    PAUSE(50)
    CLEAR(5)
    PLUS(11,1)
    DESC
ACTION(EXAM,KAGO)
    PRESENT(1)
    MESSAGE(1)
    DONE
ACTION(EXAM,PICK)
    PRESENT(2)
    MESSAGE(2)
    DONE
ACTION(EXAM,HARP)
    PRESENT(4)
    MESSAGE(4)
    DONE
  ELSE
    PRESENT(5)
    MESSAGE(9)
    DONE
ACTION(EXAM,CORP)
    PRESENT(7)
    MESSAGE(5)
    DONE
ACTION(EXAM,ID)
    PRESENT(8)
    MESSAGE(6)
    DONE
ACTION(EXAM,DOOR)
    PRESENT(9)
    MESSAGE(7)
    DONE
ACTION(EXAM,FLAR)
    PRESENT(10)
    MESSAGE(8)
    DONE
  ELSE
    PRESENT(11)
    MESSAGE(9)
    DONE
ACTION(EXAM,TREE)
    PRESENT(13)
    MESSAGE(11)
    DONE
ACTION(EXAM,BAZO)
    PRESENT(18)
    MESSAGE(12)
    DONE
  ELSE
    PRESENT(19)
    MESSAGE(13)
    DONE
ACTION(EXAM,SHEL)
    PRESENT(20)
    MESSAGE(14)
    DONE
ACTION(EXAM,DOG)
    PRESENT(21)
    MESSAGE(15)
    DONE
ACTION(EXAM,GUN)
    PRESENT(22)
    EQ(11,0)
    MESSAGE(21)
    DONE
  ELSE
    PRESENT(22)
    EQ(11,1)
    MESSAGE(22)
    DONE
  ELSE
    PRESENT(22)
    EQ(11,2)
    MESSAGE(23)
    DONE
  ELSE
    PRESENT(22)
    EQ(11,3)
    MESSAGE(24)
    DONE
  ELSE
    PRESENT(23)
    MESSAGE(9)
    DONE
ACTION(EXAM,GUAR)
    PRESENT(25)
    MESSAGE(16)
    DONE
  ELSE
    PRESENT(28)
    MESSAGE(5)
    DONE
ACTION(EXAM,CASS)
    PRESENT(26)
    MESSAGE(70)
    DONE
ACTION(EXAM,BIRD)
    PRESENT(29)
    MESSAGE(17)
    DONE
  ELSE
    NOTZERO(29)
    MESSAGE(17)
    DONE
ACTION(EXAM,PELL)
    PRESENT(31)
    MESSAGE(18)
    DONE
ACTION(EXAM,GAS)
    PRESENT(32)
    MESSAGE(19)
    DONE
ACTION(EXAM,BOMB)
    PRESENT(35)
    MESSAGE(20)
    DONE
ACTION(EXAM,GREN)
    PRESENT(46)
    MESSAGE(58)
    DONE
  ELSE
    PRESENT(47)
    MESSAGE(59)
    DONE
ACTION(EXAM,PANE)
    AT(65)
    MESSAGE(97)
    DONE
ACTION(EXAM,HELI)
    PRESENT(12)
    MESSAGE(10)
    DONE
ACTION(EXAM,YETI)
    PRESENT(43)
    MESSAGE(17)
    DONE
ACTION(EXAM,_)
    MESSAGE(3)
ACTION(SEAR,CORP)
    EQ(22,1)
    PRESENT(7)
    CREATE(8)
    CLEAR(22)
    PLUS(30,5)
    DESC
ACTION(SEAR,DOG)
    AT(2)
    EQ(12,0)
    PRESENT(21)
    SET(12)
    CREATE(22)
    PLUS(30,2)
    DESC
  ELSE
    AT(2)
    PRESENT(21)
    NOTZERO(12)
    MESSAGE(0)
    DONE
ACTION(SEAR,_)
    MESSAGE(0)
ACTION(GIVE,USE)
    AT(30)
    PRESENT(45)
    CARRIED(3)
    DESTROY(3)
    DESTROY(45)
    MESSAGE(40)
    CREATE(15)
    GET(15)
    PLUS(30,5)
    DONE
ACTION(GIVE,_)
    MESSAGE(132)
ACTION(OFF,PRIM)
    PRESENT(40)
    SWAP(40,39)
    DONE
ACTION(OFF,MATC)
    CARRIED(42)
    DESTROY(42)
    MESSAGE(44)
ACTION(ON,TORC)
    PRESENT(34)
    MESSAGE(148)
    DONE
ACTION(ON,PRIM)
    PRESENT(39)
    CARRIED(42)
    SWAP(39,40)
    OK
  ELSE
    CARRIED(39)
    ABSENT(42)
    MESSAGE(43)
  ELSE
    PRESENT(40)
    MESSAGE(148)
    DONE
ACTION(ON,MATC)
    CARRIED(41)
    SWAP(41,42)
    LET(6,4)
    OK
ACTION(INSE,ID)
    AT(66)
    PRESENT(30)
    CARRIED(8)
    DESTROY(8)
    DESTROY(30)
    MESSAGE(102)
    PAUSE(100)
    GOTO(67)
    PLUS(30,6)
    DESC
ACTION(INSE,SHEL)
    CARRIED(18)
    CARRIED(20)
    SWAP(18,19)
    DESTROY(20)
    OK
ACTION(OPEN,DOOR)
    AT(64)
    NOTCARR(33)
    MESSAGE(99)
  ELSE
    AT(64)
    CARRIED(33)
    GOTO(63)
    MESSAGE(98)
    PAUSE(100)
    DESC
  ELSE
    AT(66)
    MESSAGE(101)
ACTION(OPEN,GATE)
    AT(56)
    EQ(20,0)
    MESSAGE(86)
    SCORE
    END
  ELSE
    AT(56)
    NOTZERO(20)
    GOTO(58)
    MESSAGE(87)
    PAUSE(100)
    DESC
ACTION(DIG,_)
    ABSENT(9)
    CARRIED(49)
    MESSAGE(89)
    DONE
  ELSE
    PRESENT(9)
    CARRIED(49)
    MESSAGE(90)
    PLUS(21,1)
    DONE
  ELSE
    NOTCARR(49)
    MESSAGE(93)
    DONE
ACTION(READ,SIGN)
    AT(66)
    MESSAGE(100)
ACTION(SCOR,_)
    SCORE
ACTION(SWIM,_)
    MESSAGE(133)
ACTION(HELP,_)
    MESSAGE(134)
ACTION(RUN,_)
    MESSAGE(136)
ACTION(FUCK,_)
    MESSAGE(135)
ACTION(EAT,_)
    MESSAGE(137)
ACTION(KILL,_)
    MESSAGE(139)
ACTION(SMEL,_)
    ABSENT(12)
    MESSAGE(145)
  ELSE
    PRESENT(12)
    MESSAGE(146)
ACTION(RUB,NOSE)
    MESSAGE(147)
    DONE
ACTION(FILL,_)
    MESSAGE(43)
ACTION(T,HARP)
    PRESENT(4)
    GET(4)
    OK
  ELSE
    PRESENT(5)
    GET(5)
    OK
ACTION(T,CORP)
    PRESENT(7)
    MESSAGE(68)
    DONE
ACTION(T,FLAR)
    PRESENT(10)
    GET(10)
    OK
  ELSE
    PRESENT(11)
    GET(11)
    OK
ACTION(T,TREE)
    NOTWORN(17)
    GET(13)
    OK
  ELSE
    WORN(17)
    PRESENT(13)
    MESSAGE(80)
    DONE
ACTION(T,BAZO)
    PRESENT(18)
    GET(18)
    OK
  ELSE
    PRESENT(19)
    GET(19)
    OK
ACTION(T,GUN)
    PRESENT(22)
    GET(22)
    OK
  ELSE
    PRESENT(23)
    GET(23)
    OK
ACTION(T,GUAR)
    PRESENT(28)
    MESSAGE(68)
    DONE
ACTION(T,PRIM)
    PRESENT(39)
    GET(39)
    OK
  ELSE
    PRESENT(40)
    GET(40)
    OK
ACTION(T,MATC)
    PRESENT(41)
    GET(41)
    OK
  ELSE
    PRESENT(42)
    GET(42)
    OK
ACTION(T,GREN)
    PRESENT(46)
    GET(46)
    OK
  ELSE
    PRESENT(47)
    GET(47)
    OK
ACTION(T,SPEA)
    NOTWORN(17)
    GET(48)
    OK
  ELSE
    WORN(17)
    PRESENT(48)
    MESSAGE(80)
    DONE
ACTION(T,STIR)
    PRESENT(51)
    MESSAGE(68)
ACTION(T,_)
    AUTOG
    OK
ACTION(DROP,HARP)
    PRESENT(4)
    DROP(4)
    OK
  ELSE
    PRESENT(5)
    DROP(5)
    OK
ACTION(DROP,FLAR)
    PRESENT(10)
    DROP(10)
    OK
  ELSE
    PRESENT(11)
    DROP(11)
    OK
ACTION(DROP,TREE)
    NOTAT(50)
    DROP(13)
    OK
  ELSE
    AT(50)
    CARRIED(13)
    DROP(13)
    MESSAGE(128)
    DONE
ACTION(DROP,BAZO)
    PRESENT(18)
    DROP(18)
    OK
  ELSE
    PRESENT(19)
    DROP(19)
    OK
ACTION(DROP,GUN)
    PRESENT(22)
    DROP(22)
    OK
  ELSE
    PRESENT(23)
    DROP(23)
    OK
ACTION(DROP,PELL)
    NOTAT(67)
    CARRIED(31)
    WORN(32)
    DESTROY(31)
    MESSAGE(103)
    DONE
  ELSE
    CARRIED(31)
    NOTWORN(32)
    MESSAGE(104)
    SCORE
    END
  ELSE
    AT(67)
    CARRIED(31)
    WORN(32)
    PRESENT(50)
    DESTROY(31)
    DESTROY(50)
    PLUS(30,10)
    MESSAGE(105)
    CREATE(51)
    DONE
ACTION(DROP,TORC)
    CARRIED(34)
    MESSAGE(124)
    DESTROY(34)
    DONE
ACTION(DROP,PRIM)
    AT(22)
    PRESENT(43)
    CARRIED(40)
    DESTROY(43)
    DESTROY(40)
    MESSAGE(42)
    PLUS(30,10)
    DONE
  ELSE
    CARRIED(39)
    DROP(39)
    OK
  ELSE
    CARRIED(40)
    DROP(40)
    OK
ACTION(DROP,MATC)
    CARRIED(41)
    DROP(41)
    OK
  ELSE
    CARRIED(42)
    DESTROY(42)
    MESSAGE(44)
ACTION(DROP,GREN)
    CARRIED(46)
    DROP(46)
    OK
  ELSE
    CARRIED(47)
    EQ(8,0)
    DROP(47)
    OK
  ELSE
    CARRIED(47)
    NOTZERO(8)
    MESSAGE(57)
    DESTROY(47)
    LET(8,0)
    LET(7,0)
    PLUS(30,5)
    DONE
ACTION(DROP,SPEA)
    EQ(22,0)
    DROP(48)
    OK
  ELSE
    AT(80)
    PRESENT(29)
    CARRIED(48)
    DESTROY(48)
    DONE
  ELSE
    CARRIED(48)
    NOTZERO(22)
    LET(22,1)
    DESTROY(48)
    MESSAGE(142)
    PLUS(30,10)
    LET(9,1)
    DONE
ACTION(DROP,_)
    AUTOD
    OK
ACTION(REMO,KAGO)
    REMOVE(1)
    OK
ACTION(REMO,SKIS)
    REMOVE(14)
    OK
ACTION(REMO,GLAS)
    REMOVE(16)
    OK
ACTION(REMO,GLOV)
    REMOVE(17)
    OK
ACTION(REMO,GAS)
    REMOVE(32)
    OK
ACTION(REMO,SHOE)
    REMOVE(44)
    OK
ACTION(REMO,PIN)
    CARRIED(46)
    SWAP(46,47)
    SET(7)
    MESSAGE(55)
    PLUS(30,5)
    DONE
ACTION(WEAR,KAGO)
    WEAR(1)
    OK
ACTION(WEAR,SKIS)
    NOTWORN(44)
    WEAR(14)
    OK
  ELSE
    WORN(44)
    MESSAGE(45)
    DONE
ACTION(WEAR,GLAS)
    WEAR(16)
    OK
ACTION(WEAR,GLOV)
    WEAR(17)
    OK
ACTION(WEAR,GAS)
    WEAR(32)
    OK
ACTION(WEAR,SHOE)
    NOTWORN(14)
    WEAR(44)
    OK
  ELSE
    WORN(14)
    MESSAGE(45)
    DONE
ACTION(I,_)
    ABSENT(25)
    INVEN
  ELSE
    AT(45)
    PRESENT(25)
    MESSAGE(16)
    DONE
ACTION(R,_)
    SET(29)
    DESC
ACTION(Q,_)
    QUIT
    SCORE
    END
ACTION(SAVE,_)
    SAVE
ACTION(LOAD,_)
    LOAD
ACTION(CALL,_)
    LET(28,21)
    PAUSE(50)
    SET(29)
    DESC
ACTION(STOR,_)
    LET(28,21)
    PAUSE(21)
    SET(29)
    DESC
ACTION(WORD,_)
    LET(28,19)
    PAUSE(255)
    DESC
ACTION(PICT,_)
    LET(28,19)
    PAUSE(19)
    SET(29)
    DESC

$$PICTURES

DRAWING(0,100)
    CALL(0,12)
    MOVE(-147,-12)
    LINE(-16,27)
    LINE(-15,12)
    LINE(9,-5)
    LINE(3,0)
    LINE(2,3)
    LINE(-5,12)
    LINE(7,-10)
    LINE(7,-2)
    LINE(7,3)
    LINE(7,13)
    LINE(-5,-11)
    LINE(9,-5)
    LINE(10,-1)
    LINE(6,4)
    LINE(-14,-12)
    LINE(-11,-26)
    LINE(-10,29)
    LINE(-7,10)
    MOVE(27,-4)
    LINE(-2,-3)
    LINE(-3,-2)
    LINE(-6,-1)
    LINE(1,-25)
    MOVE(16,30)
    LINE(0,7)
    LINE(-26,7)
    LINE(0,-12)
    LINE(0,11)
    LINE(-13,-6)
    LINE(0,-8)
    FILL(5,-3)
    FILL(18,-25)
    MOVE(22,-29)
    LINE(0,-6)
    MOVE(-1,3)
    FILL(-1,3)
    FILL(-3,8)
    FILL(-2,8)
    FILL(-5,8)
    SHADE(-1,19,0x7878)
    SHADE(5,32,0x7878)
    SHADE(8,40,0x5A5A)
    SHADE(-1,40,0x5A5A)
    SHADE(-19,36,0x5A5A)
    SHADE(-10,40,0x5A5A)
    INV_LINE(5,8)
    INV_LINE(-4,-6)
    INV_LINE(2,7)
    MOVE(-1,0)
    LINE(-1,-10)
    INV_PLOT(76,47)
    INV_PLOT(77,48)
    INV_PLOT(76,48)
    MOVE(26,7)
    LINE(0,10)
    LINE(5,10)
    LINE(15,-1)
    LINE(0,-13)
    LINE(-14,1)
    LINE(0,12)
    LINE(0,-12)
    LINE(-6,-7)
    LINE(16,0)
    LINE(3,6)
    LINE(-6,0)
    LINE(0,12)
    LINE(0,-12)
    LINE(-4,-6)
    LINE(0,-7)
    LINE(9,3)
    LINE(-8,4)
    MOVE(15,11)
    LINE(0,6)
    LINE(6,2)
    LINE(0,-5)
    LINE(-6,-3)
    LINE(7,-4)
    LINE(5,1)
    LINE(-6,5)
    LINE(0,5)
    LINE(6,-6)
    LINE(0,-4)
    MOVE(0,4)
    LINE(12,-1)
    LINE(-11,5)
    LINE(-14,4)
    LINE(-35,-2)
    LINE(2,-5)
    LINE(9,-3)
    MOVE(20,4)
    LINE(5,-1)
    SHADE(-25,2,0x0A0A)
    SHADE(-3,4,0x0A0A)
    SHADE(13,0,0x0A0A)
    SHADE(-22,-4,0x5A5A)
    MOVE(-63,15)
    LINE(-18,-5)
    LINE(-12,1)
    LINE(-7,-7)
    LINE(12,-3)
    LINE(11,4)
    SHADE(-6,0,0x0A0A)
    MOVE(93,-23)
    LINE(14,-1)
    LINE(8,2)
    LINE(-9,2)
    LINE(-13,-3)
    MOVE(34,11)
    LINE(6,-2)
    LINE(30,-1)
    LINE(27,6)
    LINE(-31,-2)
    LINE(-16,1)
    LINE(-3,2)
    LINE(-4,1)
    LINE(-7,-3)
    LINE(-1,-3)
    MOVE(-14,7)
    LINE(-3,2)
    LINE(0,4)
    LINE(8,6)
    LINE(10,2)
    LINE(-9,3)
    LINE(-9,1)
    LINE(-7,-4)
    LINE(-1,-5)
    LINE(5,-6)
    LINE(6,-3)
    MOVE(5,3)
    MOVE(-141,-14)
    LINE(6,-3)
    LINE(11,2)
    LINE(-15,3)
    LINE(-2,-3)
    SHADE(5,0,0x7878)
    SHADE(128,-4,0x7878)
    SHADE(136,28,0x7878)
    SHADE(176,5,0x7878)
    MOVE(84,0)
    LINE(0,-6)
    INK(4)
    FILL(3,2)
END_DRAWING

DRAWING(1,$SUBROUTINE)
    LINE(23,8)
    LINE(16,-8)
    LINE(0,-7)
    LINE(-15,6)
    LINE(-24,-6)
    LINE(0,7)
    MOVE(31,-7)
    LINE(-4,2)
    LINE(-8,0)
    LINE(-11,-2)
    MOVE(24,-13)
    LINE(-5,-1)
    LINE(-6,-6)
    LINE(-4,-8)
    LINE(0,-4)
    LINE(9,6)
    LINE(5,-1)
    LINE(-3,6)
    LINE(-3,4)
    LINE(-5,-5)
    LINE(6,-4)
    MOVE(5,13)
    LINE(-2,-9)
    LINE(2,9)
    LINE(-4,3)
    LINE(-8,-1)
    LINE(-5,-7)
    LINE(0,-10)
    LINE(3,-4)
    MOVE(-9,32)
    LINE(0,-16)
    LINE(7,0)
    MOVE(-7,0)
    LINE(7,3)
    LINE(6,7)
    LINE(6,-1)
    LINE(-3,-3)
    LINE(5,-1)
    LINE(2,4)
    LINE(0,7)
    MOVE(0,-1)
    LINE(7,1)
    MOVE(-38,0)
    LINE(8,-1)
END_DRAWING

DRAWING(2,$SUBROUTINE)
    LINE(5,-14)
    LINE(6,-9)
    LINE(6,-6)
    LINE(11,-7)
    LINE(11,-3)
    LINE(4,0)
    LINE(7,1)
    LINE(8,3)
    LINE(6,4)
    LINE(8,9)
    LINE(5,12)
    LINE(1,10)
    LINE(-17,2)
    LINE(-18,1)
    LINE(-21,-1)
    LINE(-22,-2)
    MOVE(26,2)
    LINE(1,-10)
    LINE(4,-11)
    LINE(6,-10)
    LINE(6,-10)
    MOVE(-42,39)
END_DRAWING

DRAWING(3,100)
    CALL(0,12)
    MOVE(-211,20)
    LINE(21,-1)
    LINE(28,2)
    LINE(3,3)
    LINE(6,4)
    LINE(13,2)
    MOVE(20,-13)
    LINE(7,-1)
    LINE(3,-4)
    LINE(4,-2)
    LINE(19,-1)
    LINE(38,3)
    LINE(19,6)
    LINE(11,1)
    MOVE(-7,-10)
    LINE(8,-1)
    LINE(10,-2)
    LINE(4,4)
    LINE(7,1)
    MOVE(-205,-2)
    LINE(7,-1)
    LINE(19,1)
    MOVE(64,-8)
    LINE(6,-1)
    LINE(6,2)
    MOVE(0,8)
    LINE(-3,3)
    LINE(-2,7)
    LINE(-3,2)
    LINE(-15,-1)
    LINE(4,-4)
    MOVE(110,-10)
    LINE(-5,4)
    LINE(-10,-2)
    SHADE(8,0,0x5A5A)
    SHADE(-88,9,0x5A5A)
    PLOT(111,86)
    LINE(15,-9)
    LINE(9,-10)
    LINE(0,-5)
    LINE(-2,-7)
    MOVE(13,0)
    LINE(2,9)
    LINE(-1,6)
    LINE(-7,16)
    MOVE(-4,-32)
    LINE(-5,-6)
    LINE(-1,-3)
    LINE(1,-5)
    LINE(-5,7)
    LINE(4,7)
    SHADE(0,-6,0x5A5A)
    SHADE(0,24,0x6060)
    MOVE(-19,32)
    INV_LINE(16,-10)
    INV_LINE(5,-6)
    INV_LINE(3,-6)
    INV_LINE(-2,-9)
    MOVE(6,32)
    INV_LINE(8,-17)
    INV_LINE(1,-7)
    INV_LINE(-2,-7)
    MOVE(-22,-18)
    LINE(4,-5)
    LINE(6,-4)
    LINE(-5,4)
    LINE(-2,5)
    SHADE(0,-16,0x5A5A)
END_DRAWING

DRAWING(4,$SUBROUTINE)
    LINE(3,-4)
    LINE(-2,-1)
    LINE(3,-3)
    LINE(-4,0)
    LINE(4,-3)
    LINE(-2,-2)
    LINE(5,-2)
    LINE(6,0)
    LINE(-2,2)
    LINE(5,3)
    LINE(1,-4)
    LINE(2,5)
    LINE(2,-4)
    LINE(2,2)
    LINE(5,-4)
    LINE(-3,7)
    LINE(5,-3)
    LINE(1,5)
    LINE(-3,0)
    LINE(3,5)
    LINE(-6,-4)
    LINE(-2,11)
    LINE(-3,-8)
    LINE(-3,4)
    LINE(0,-7)
    LINE(-6,-2)
    LINE(-1,5)
    LINE(-3,-3)
    LINE(-6,5)
    FILL(6,-8)
    LINE(6,-7)
    LINE(3,13)
    LINE(8,-8)
    LINE(-3,-6)
    LINE(-2,8)
    LINE(-5,-14)
    LINE(-6,-7)
    LINE(0,11)
    LINE(16,0)
    LINE(5,-9)
    LINE(12,-1)
    LINE(-3,5)
    LINE(-6,6)
    LINE(-1,-4)
    LINE(2,-4)
    LINE(4,-1)
    MOVE(-30,18)
END_DRAWING

DRAWING(5,$SUBROUTINE)
    LINE(10,0)
    LINE(-1,2)
    LINE(0,14)
    LINE(4,2)
    LINE(3,3)
    LINE(1,3)
    LINE(0,4)
    LINE(-1,7)
    LINE(-2,2)
    LINE(2,3)
    LINE(0,1)
    LINE(-10,1)
    LINE(-11,-1)
    LINE(2,-3)
    LINE(-3,-5)
    LINE(0,-4)
    LINE(0,-7)
    LINE(2,-2)
    LINE(3,-2)
    LINE(3,-1)
    LINE(0,-15)
    LINE(-2,-1)
    LINE(6,2)
    LINE(0,15)
    LINE(-5,4)
    LINE(-2,6)
    LINE(2,7)
    LINE(4,4)
    LINE(9,0)
END_DRAWING

DRAWING(7,100)
    CALL(0,12)
    MOVE(27,11)
    LINE(-16,-1)
    LINE(-43,1)
    LINE(-31,-1)
    LINE(-16,1)
    LINE(-7,-1)
    LINE(-89,1)
    LINE(-36,-1)
    MOVE(-1,7)
    LINE(19,1)
    LINE(61,1)
    LINE(19,-1)
    LINE(29,0)
    LINE(13,1)
    LINE(23,-1)
    LINE(3,1)
    LINE(71,-1)
    MOVE(-42,7)
    LINE(-8,-1)
    LINE(-1,-2)
    LINE(-18,3)
    LINE(-13,3)
    LINE(-1,2)
    LINE(5,3)
    LINE(23,2)
    LINE(15,-2)
    LINE(2,-3)
    LINE(-4,-4)
    MOVE(3,4)
    LINE(0,7)
    LINE(-14,1)
    LINE(-16,1)
    LINE(-12,-3)
    LINE(-2,-6)
    MOVE(-61,-28)
    LINE(5,-2)
    LINE(12,3)
    MOVE(14,-3)
    LINE(5,-1)
    LINE(5,1)
    MOVE(-98,3)
    LINE(6,-3)
    LINE(7,2)
    MOVE(161,6)
    LINE(5,-2)
    LINE(6,2)
    MOVE(-15,13)
    LINE(10,-1)
    LINE(14,4)
    LINE(-24,-3)
    MOVE(-59,7)
    LINE(-2,4)
    LINE(1,5)
    LINE(2,3)
    LINE(-7,-6)
    LINE(1,-3)
    LINE(5,-3)
    MOVE(-81,0)
    LINE(33,-1)
    LINE(25,3)
    LINE(-58,-1)
    MOVE(-12,5)
    LINE(-25,-2)
    LINE(-9,3)
    LINE(34,0)
    MOVE(-26,-10)
    LINE(-12,-1)
    LINE(-8,1)
    LINE(6,-4)
    LINE(14,4)
    SHADE(0,-10,0x7878)
    SHADE(66,16,0x5A5A)
    SHADE(-4,3,0x5A5A)
    SHADE(-18,-5,0x5A5A)
    SHADE(42,0,0x5A5A)
    SHADE(115,0,0x5A5A)
    SHADE(128,0,0x5A5A)
    SHADE(200,-3,0x5A5A)
    SHADE(133,10,0x7878)
    MOVE(-9,-14)
    LINE(1,6)
    MOVE(30,1)
    LINE(-1,-6)
    MOVE(79,-1)
    LINE(4,7)
    MOVE(33,0)
    LINE(-1,-7)
    MOVE(37,0)
    LINE(-1,7)
    MOVE(-197,-4)
    BRIGHT(1)
    BLOCK(0,29,1,7)
END_DRAWING

DRAWING(11,$SUBROUTINE)
    MOVE(63,-88)
    LINE(-40,0)
    LINE(-15,-15)
    LINE(0,-49)
    LINE(15,-15)
    LINE(209,0)
    LINE(15,15)
    LINE(0,49)
    LINE(-15,15)
    LINE(-172,0)
    MOVE(-52,5)
    INK(2)
    LINE(95,0)
    LINE(0,3)
    LINE(33,0)
    LINE(0,-3)
    LINE(110,0)
    LINE(0,-12)
    LINE(-6,0)
    LINE(0,8)
    LINE(3,0)
    MOVE(6,0)
    LINE(3,0)
    LINE(0,-81)
    LINE(-3,0)
    MOVE(-5,0)
    LINE(-4,0)
    LINE(0,8)
    LINE(7,0)
    LINE(0,-13)
    LINE(-240,0)
    LINE(0,13)
    LINE(8,0)
    LINE(0,-7)
    LINE(-5,0)
    MOVE(-5,0)
    LINE(-3,0)
    LINE(0,80)
    LINE(3,0)
    MOVE(5,0)
    LINE(5,0)
    LINE(0,-7)
    LINE(-7,0)
    LINE(0,10)
    LINE(1,0)
    LINE(0,-11)
    LINE(5,0)
    LINE(0,7)
    LINE(-3,0)
    MOVE(-6,0)
    LINE(-2,0)
    LINE(0,-78)
    LINE(2,0)
    MOVE(5,0)
    LINE(4,0)
    LINE(0,5)
    LINE(-6,0)
    LINE(0,-11)
    LINE(238,0)
    LINE(0,11)
    LINE(-5,0)
    LINE(0,-6)
    LINE(3,0)
    MOVE(5,0)
    LINE(2,0)
    LINE(0,79)
    LINE(-2,0)
    MOVE(-5,0)
    LINE(-3,0)
    LINE(0,-6)
    LINE(4,0)
    LINE(0,10)
    LINE(-109,0)
    LINE(0,-3)
    LINE(-33,0)
    LINE(0,3)
    LINE(-94,0)
    SHADE(104,0,0x5A5A)
    MOVE(122,0)
    PAPER(6)
    BLOCK(0,3,13,11)
    MOVE(-122,0)
    PAPER(7)
END_DRAWING

DRAWING(12,$SUBROUTINE)
    CALL(0,11)
    MOVE(1,-67)
    INK(0)
    LINE(15,2)
    LINE(1,4)
    LINE(7,0)
    LINE(5,-1)
    LINE(5,2)
    LINE(7,-2)
    LINE(4,-3)
    LINE(3,1)
    LINE(3,3)
    LINE(2,-1)
    LINE(3,-3)
    LINE(5,-2)
    LINE(5,1)
    LINE(4,-1)
    LINE(5,5)
    LINE(9,1)
    LINE(6,-2)
    LINE(3,-3)
    LINE(9,1)
    LINE(12,-3)
    LINE(5,3)
    LINE(1,4)
    LINE(4,-1)
    LINE(10,-1)
    LINE(8,2)
    LINE(6,-4)
    LINE(0,-2)
    LINE(4,-1)
    LINE(8,-1)
    LINE(3,4)
    LINE(10,-1)
    LINE(4,3)
    LINE(5,-1)
    LINE(10,3)
    LINE(10,4)
    LINE(6,-3)
    LINE(4,-2)
    LINE(5,2)
    LINE(3,-1)
    LINE(17,-3)
    MOVE(0,20)
    LINE(-26,-2)
    LINE(4,-6)
    LINE(6,5)
    LINE(7,-1)
    LINE(4,-5)
    MOVE(-33,5)
    LINE(-25,5)
    LINE(-16,-1)
    LINE(-8,-3)
    LINE(2,-3)
    LINE(7,4)
    LINE(4,-2)
    LINE(4,-5)
    LINE(4,6)
    LINE(5,1)
    LINE(10,-8)
    LINE(11,6)
    MOVE(-61,-4)
    LINE(-7,2)
    LINE(-9,-2)
    LINE(7,-1)
    LINE(3,-3)
    LINE(6,4)
    MOVE(-133,-2)
    LINE(10,3)
    LINE(12,-3)
    LINE(4,6)
    LINE(-6,-2)
    LINE(-15,4)
    LINE(-9,2)
    MOVE(46,-5)
    LINE(6,-6)
    LINE(0,5)
    LINE(7,-1)
    LINE(10,8)
    LINE(-12,-4)
    LINE(-11,-3)
    MOVE(38,2)
    LINE(11,-2)
    LINE(13,-2)
    LINE(-13,-2)
    LINE(-1,-4)
    LINE(-4,6)
    LINE(-6,4)
    MOVE(-78,-25)
    LINE(24,-2)
    LINE(43,2)
    LINE(8,3)
    LINE(94,-3)
    LINE(61,3)
    MOVE(-9,-9)
    LINE(-48,2)
    LINE(-109,1)
    LINE(-20,-4)
    LINE(-38,1)
    MOVE(-9,12)
    LINE(-2,0)
    MOVE(4,13)
    LINE(-4,-2)
    MOVE(232,3)
    LINE(5,-3)
    LINE(0,12)
    MOVE(-10,-18)
    LINE(-5,5)
    LINE(-8,-3)
    LINE(-7,7)
    LINE(-5,-4)
    MOVE(-51,-11)
    LINE(1,3)
    LINE(5,1)
    LINE(2,3)
    LINE(-6,6)
    LINE(-2,-5)
    LINE(-9,0)
    MOVE(-47,-6)
    LINE(-5,7)
    LINE(-13,-3)
    MOVE(-17,-5)
    LINE(1,6)
    LINE(-1,3)
    LINE(-4,-1)
    LINE(-5,-2)
    MOVE(-41,-5)
    LINE(-10,2)
    MOVE(17,16)
    LINE(42,2)
    MOVE(9,3)
    LINE(8,-4)
    LINE(18,-3)
    LINE(16,-4)
    LINE(13,3)
    MOVE(13,-1)
    LINE(16,2)
    MOVE(45,2)
    LINE(12,-3)
    LINE(2,5)
    SHADE(21,-1,0x4C4C)
    SHADE(-29,0,0x4C4C)
    SHADE(-80,-7,0x4C4C)
    SHADE(-118,-6,0x4C4C)
    SHADE(-153,-2,0x4C4C)
    SHADE(-208,-5,0x4C4C)
    SHADE(0,-19,0x3030)
    SHADE(0,-34,0x3030)
    SHADE(11,-13,0x5A5A)
    SHADE(-3,-11,0x5A5A)
    SHADE(-64,-16,0x5A5A)
    SHADE(-121,-16,0x5A5A)
    SHADE(-153,-16,0x5A5A)
END_DRAWING

DRAWING(15,100)
    CALL(0,11)
    INK(0)
    MOVE(7,-11)
    LINE(10,-1)
    LINE(5,-4)
    LINE(1,-24)
    LINE(3,-1)
    LINE(7,-27)
    LINE(1,16)
    LINE(1,7)
    LINE(1,1)
    LINE(1,-1)
    LINE(1,-14)
    LINE(2,-8)
    LINE(6,-6)
    LINE(8,-5)
    LINE(3,16)
    LINE(5,-18)
    LINE(3,7)
    LINE(2,-10)
    MOVE(-44,48)
    LINE(8,1)
    LINE(5,-1)
    LINE(21,-1)
    LINE(33,1)
    LINE(24,-1)
    LINE(8,1)
    LINE(4,-1)
    LINE(1,-9)
    LINE(-1,-27)
    MOVE(1,29)
    LINE(10,-1)
    MOVE(101,-12)
    LINE(-4,-10)
    LINE(-3,-2)
    LINE(-2,21)
    LINE(-1,1)
    LINE(-4,-26)
    LINE(-7,-2)
    LINE(-2,10)
    LINE(-4,-14)
    LINE(-22,-5)
    MOVE(-1,0)
    LINE(22,29)
    LINE(4,19)
    LINE(1,22)
    LINE(4,2)
    LINE(11,-1)
    MOVE(-48,-48)
    LINE(1,-6)
    LINE(-2,-5)
    LINE(-1,5)
    LINE(-3,-7)
    LINE(-4,-2)
    LINE(-2,5)
    LINE(-4,-6)
    LINE(-2,10)
    LINE(-3,-9)
    LINE(-3,1)
    LINE(-1,9)
    LINE(1,5)
    LINE(9,0)
    LINE(13,1)
    LINE(-4,11)
    LINE(-4,3)
    LINE(-10,2)
    LINE(-4,5)
    LINE(-1,9)
    LINE(3,2)
    LINE(52,-1)
    MOVE(-54,-32)
    LINE(-4,8)
    LINE(-9,6)
    LINE(-8,2)
    MOVE(-12,7)
    LINE(16,2)
    LINE(16,6)
    MOVE(-8,-54)
    LINE(0,15)
    LINE(-2,5)
    LINE(-5,2)
    LINE(-12,18)
    PLOT(191,31)
    FILL(0,13)
    FILL(-164,4)
    SHADE(32,0,0x5A5A)
    SHADE(0,40,0x5A5A)
    SHADE(-48,0,0x2828)
    MOVE(-155,29)
    INK(0)
    BRIGHT(1)
    BLOCK(3,1,3,7)
    BLOCK(3,23,4,7)
    MOVE(136,-40)
    BLOCK(4,2,21,2)
    MOVE(-8,32)
    BLOCK(2,1,19,4)
    BLOCK(0,3,17,6)
    MOVE(64,32)
    BLOCK(0,0,28,10)
END_DRAWING

DRAWING(22,100)
    CALL(0,11)
    PLOT(9,70)
    INK(0)
    LINE(22,1)
    LINE(1,8)
    LINE(8,1)
    LINE(22,-1)
    LINE(2,-56)
    MOVE(-2,49)
    LINE(33,-1)
    LINE(0,-25)
    LINE(1,4)
    LINE(3,2)
    LINE(2,1)
    LINE(3,-21)
    LINE(7,-7)
    LINE(8,-2)
    LINE(20,1)
    LINE(11,6)
    LINE(2,9)
    LINE(6,-9)
    LINE(9,12)
    LINE(1,29)
    LINE(35,1)
    LINE(43,-1)
    MOVE(-132,-7)
    LINE(15,3)
    LINE(5,0)
    LINE(15,-2)
    LINE(-14,-2)
    LINE(-7,0)
    LINE(-15,1)
    MOVE(-18,2)
    LINE(6,-2)
    LINE(12,-3)
    LINE(-2,-6)
    LINE(9,-2)
    LINE(21,-1)
    MOVE(15,-19)
    LINE(3,31)
    LINE(9,7)
    MOVE(-27,-19)
    LINE(17,3)
    MOVE(1,5)
    LINE(-26,2)
    MOVE(-8,3)
    LINE(-14,4)
    LINE(-15,1)
    MOVE(60,-32)
    LINE(10,11)
    PLOT(191,9)
    LINE(1,29)
    LINE(6,17)
    LINE(5,3)
    LINE(4,1)
    LINE(2,3)
    LINE(6,9)
    LINE(3,0)
    LINE(-2,-7)
    LINE(-1,-9)
    LINE(-11,-11)
    LINE(-5,-35)
    MOVE(-160,71)
    LINE(1,-29)
    LINE(-3,-8)
    LINE(-6,-2)
    LINE(1,19)
    LINE(-1,11)
    FILL(101,-7)
    MOVE(70,-19)
    LINE(-5,-16)
    LINE(-4,-3)
    LINE(-3,6)
    LINE(4,17)
    LINE(-1,15)
    MOVE(60,-34)
    LINE(-1,-13)
    LINE(-7,-2)
    LINE(-8,1)
    LINE(-6,-3)
    LINE(-13,3)
    MOVE(-93,-14)
    LINE(-1,22)
    LINE(-7,-15)
    LINE(-4,24)
    LINE(-4,-17)
    MOVE(36,-15)
    LINE(1,6)
    LINE(4,2)
    LINE(3,-1)
    LINE(-3,3)
    LINE(-4,1)
    LINE(-3,-2)
    LINE(-4,-8)
    MOVE(45,-1)
    LINE(2,19)
    LINE(2,1)
    LINE(-3,1)
    LINE(-7,-20)
    MOVE(150,-1)
    LINE(5,26)
    LINE(2,1)
    LINE(2,-2)
    LINE(-3,-17)
    LINE(4,2)
    LINE(3,29)
    LINE(6,-24)
    SHADE(-4,0,0x5A5A)
    SHADE(-48,0,0x5A5A)
    SHADE(-113,0,0x5A5A)
    SHADE(-100,1,0x5A5A)
    SHADE(-164,-8,0x5A5A)
    SHADE(-204,-11,0x5A5A)
    SHADE(-235,0,0x5A5A)
    PLOT(24,9)
    SHADE(-3,5,0x5A5A)
    SHADE(11,56,0x5A5A)
    SHADE(72,32,0x5A5A)
    SHADE(112,48,0x5A5A)
    SHADE(80,56,0x5A5A)
    SHADE(95,56,0x5A5A)
    SHADE(137,32,0x5A5A)
    FILL(96,24)
    MOVE(202,2)
    BRIGHT(1)
    INK(0)
    BLOCK(2,25,3,1)
    MOVE(-208,8)
    BLOCK(1,28,2,2)
    BLOCK(4,28,2,2)
    BLOCK(6,9,2,2)
    MOVE(-8,48)
    BLOCK(5,0,1,3)
    BLOCK(1,29,1,7)
    MOVE(48,8)
    BLOCK(0,3,4,9)
    MOVE(104,-8)
    BRIGHT(0)
    BLOCK(3,0,20,5)
    BLOCK(2,8,12,6)
    BLOCK(3,1,19,5)
    MOVE(80,-48)
    BLOCK(0,0,30,2)
END_DRAWING

DRAWING(24,100)
    CALL(0,12)
    MOVE(-172,34)
    CALL(5,2)
    MOVE(53,-9)
    CALL(4,2)
    MOVE(-11,-15)
    CALL(2,2)
    MOVE(72,4)
    CALL(3,2)
    MOVE(25,20)
    CALL(6,2)
    MOVE(62,-23)
    CALL(2,2)
    MOVE(-212,6)
    CALL(3,2)
    MOVE(4,-4)
    LINE(-6,2)
    LINE(0,3)
    LINE(14,-2)
    MOVE(25,9)
    LINE(-10,1)
    LINE(-6,-2)
    LINE(5,6)
    LINE(23,-1)
    MOVE(46,-8)
    LINE(-16,2)
    MOVE(-2,-6)
    LINE(6,0)
    MOVE(-12,-14)
    LINE(-5,1)
    LINE(1,2)
    MOVE(72,1)
    LINE(-8,-2)
    LINE(-7,3)
    LINE(7,0)
    LINE(3,5)
    LINE(13,-3)
    MOVE(15,16)
    LINE(-9,2)
    LINE(-14,-2)
    LINE(-5,2)
    LINE(1,4)
    LINE(12,2)
    LINE(41,-2)
    MOVE(32,-25)
    LINE(-7,0)
    LINE(-3,2)
    LINE(5,2)
    LINE(11,-1)
    SHADE(-8,-2,0x5A5A)
    SHADE(-48,0,0x5A5A)
    SHADE(-84,-6,0x5A5A)
    SHADE(-136,0,0x5A5A)
    SHADE(-175,1,0x5A5A)
    SHADE(-217,0,0x5A5A)
    SHADE(-153,-7,0x5A5A)
    SHADE(-72,20,0x2828)
    SHADE(-93,-2,0x2828)
    SHADE(-145,8,0x2828)
    SHADE(-198,17,0x2828)
    MOVE(-12,-9)
    LINE(-8,-2)
    LINE(-25,1)
    MOVE(-44,-4)
    LINE(-4,-3)
    LINE(-8,2)
    MOVE(-6,20)
    LINE(10,1)
    LINE(8,-1)
    MOVE(-113,-9)
    LINE(8,-2)
    LINE(13,2)
    LINE(9,-3)
    MOVE(-26,-7)
    LINE(6,2)
    MOVE(24,31)
    LINE(1,-7)
    LINE(4,-2)
    LINE(4,2)
    LINE(1,6)
    FILL(-5,-2)
    MOVE(34,-7)
    LINE(-1,-6)
    LINE(-4,-3)
    FILL(0,5)
    MOVE(-75,4)
    LINE(1,-4)
    LINE(3,4)
    FILL(-3,-1)
    MOVE(171,16)
    LINE(0,-5)
    LINE(-1,-5)
    LINE(1,-3)
    LINE(4,-1)
    LINE(5,2)
    LINE(2,4)
    LINE(1,7)
    MOVE(-4,1)
    LINE(-2,-10)
    LINE(-5,-3)
    FILL(1,6)
END_DRAWING

DRAWING(28,100)
    CALL(0,12)
    MOVE(-203,34)
    CALL(0,2)
    MOVE(150,8)
    LINE(0,-11)
    LINE(1,-2)
    LINE(5,-2)
    LINE(38,-1)
    LINE(34,1)
    MOVE(-75,15)
    LINE(0,-11)
    LINE(2,-2)
    LINE(71,0)
    MOVE(-60,13)
    LINE(1,-5)
    LINE(7,-2)
    LINE(4,2)
    MOVE(8,5)
    LINE(0,-7)
    LINE(0,5)
    LINE(8,0)
    LINE(0,-5)
    LINE(0,7)
    LINE(6,0)
    LINE(0,-7)
    MOVE(6,7)
    LINE(0,-7)
    LINE(6,0)
    MOVE(-6,5)
    LINE(4,0)
    MOVE(7,0)
    LINE(0,-5)
    LINE(3,0)
    MOVE(-41,-14)
    CALL(4,2)
    MOVE(-91,-4)
    LINE(-1,-12)
    LINE(2,-3)
    LINE(-3,1)
    LINE(49,-5)
    LINE(7,7)
    LINE(-54,-2)
    MOVE(0,13)
    LINE(1,3)
    LINE(14,0)
    LINE(1,-9)
    LINE(7,1)
    LINE(1,8)
    LINE(32,-1)
    LINE(-2,-12)
    MOVE(-22,1)
    LINE(0,7)
    LINE(7,-1)
    LINE(0,-7)
    LINE(-7,2)
    MOVE(-73,29)
    LINE(-1,-14)
    LINE(2,-5)
    LINE(5,-1)
    LINE(5,1)
    LINE(4,4)
    LINE(2,14)
    SHADE(-48,-8,0x5A5A)
    SHADE(-28,-39,0x5A5A)
    FILL(57,-34)
    SHADE(60,-25,0x5A5A)
    SHADE(128,-27,0x5A5A)
    MOVE(-5,0)
    LINE(-2,-15)
    LINE(-7,-3)
    FILL(0,8)
    SHADE(10,8,0x5A5A)
    MOVE(37,-5)
    LINE(-13,2)
    LINE(3,7)
    LINE(66,-4)
    SHADE(-64,0,0x5A5A)
    MOVE(39,-1)
    LINE(-12,2)
    LINE(-3,2)
    LINE(2,3)
    LINE(11,1)
    LINE(21,-3)
    SHADE(-26,0,0x5A5A)
    MOVE(-110,-6)
    BRIGHT(1)
    BLOCK(1,6,13,6)
    MOVE(16,0)
    PAPER(1)
    BLOCK(0,0,15,7)
END_DRAWING

DRAWING(33,100)
    CALL(0,11)
    MOVE(-1,-52)
    INK(0)
    LINE(18,1)
    LINE(8,-1)
    LINE(39,1)
    LINE(105,-1)
    LINE(20,1)
    LINE(1,-1)
    LINE(1,-1)
    LINE(-1,-4)
    LINE(2,-3)
    LINE(11,0)
    LINE(10,1)
    LINE(24,-1)
    MOVE(-191,9)
    LINE(24,5)
    LINE(-5,2)
    LINE(51,4)
    LINE(-18,1)
    LINE(31,3)
    LINE(-5,4)
    LINE(1,3)
    LINE(7,2)
    LINE(36,2)
    LINE(7,3)
    LINE(-7,3)
    LINE(0,4)
    LINE(32,1)
    LINE(22,10)
    MOVE(-177,-47)
    LINE(11,6)
    LINE(-2,3)
    LINE(13,4)
    LINE(10,0)
    LINE(-15,7)
    LINE(-1,4)
    LINE(10,3)
    LINE(15,3)
    LINE(-3,6)
    LINE(-22,11)
    MOVE(106,-14)
    LINE(0,13)
    MOVE(-43,-26)
    LINE(2,19)
    MOVE(-28,-27)
    LINE(0,14)
    MOVE(-20,-13)
    LINE(1,15)
    MOVE(6,2)
    LINE(2,16)
    MOVE(-22,-39)
    LINE(0,5)
    MOVE(88,35)
    LINE(-4,-5)
    LINE(-8,-3)
    LINE(-14,1)
    LINE(-2,-9)
    LINE(-6,1)
    LINE(-6,1)
    LINE(-4,2)
    LINE(-6,-3)
    LINE(-1,-4)
    LINE(-4,-2)
    LINE(0,-5)
    LINE(-5,4)
    LINE(-7,0)
    LINE(-7,-3)
    MOVE(51,25)
    LINE(-2,-3)
    LINE(-17,-3)
    LINE(-8,-1)
    LINE(-2,-3)
    LINE(-4,-4)
    LINE(-11,-2)
    MOVE(0,11)
    LINE(9,4)
    FILL(-5,-1)
    FILL(20,-8)
    SHADE(-12,-5,0x4141)
    SHADE(80,-6,0x4141)
    SHADE(48,-16,0x4141)
    SHADE(16,-24,0x4141)
    SHADE(0,-24,0x4141)
    SHADE(-24,-24,0x4141)
    SHADE(-32,-40,0x5A5A)
    SHADE(0,-8,0x5A5A)
    MOVE(96,-53)
    LINE(46,3)
    MOVE(1,8)
    LINE(-12,1)
    LINE(-1,-3)
    LINE(-13,1)
    LINE(-1,-3)
    LINE(-20,-1)
    SHADE(4,-2,0x5A5A)
    MOVE(-48,5)
    LINE(4,-2)
    LINE(8,2)
    MOVE(-21,15)
    LINE(2,-4)
    LINE(4,-1)
    LINE(7,3)
    MOVE(54,12)
    LINE(6,-4)
    LINE(5,1)
    LINE(3,4)
    LINE(9,-3)
    LINE(10,1)
    MOVE(-34,-18)
    LINE(6,-2)
    LINE(12,1)
    MOVE(-139,-5)
    LINE(15,1)
    MOVE(-83,3)
    LINE(7,-3)
    LINE(12,1)
    MOVE(0,32)
    LINE(13,-5)
    LINE(9,1)
    LINE(4,4)
    MOVE(-56,-56)
    LINE(33,-8)
    LINE(28,-2)
    LINE(11,5)
    LINE(6,1)
    LINE(13,-3)
    LINE(60,-2)
    LINE(86,10)
    FILL(-18,-6)
    SHADE(-18,3,0x5A5A)
    MOVE(-218,-12)
    BRIGHT(1)
    BLOCK(2,25,3,1)
    BLOCK(3,21,3,1)
    MOVE(-16,16)
    BLOCK(0,29,1,3)
    BLOCK(1,1,1,3)
    MOVE(8,-8)
    BLOCK(0,0,2,2)
    MOVE(112,64)
    PAPER(6)
    BLOCK(1,4,12,9)
    MOVE(0,-8)
    BRIGHT(0)
    PAPER(7)
    BLOCK(0,2,14,9)
END_DRAWING

DRAWING(42,100)
    CALL(0,11)
    INK(0)
    MOVE(-1,-61)
    LINE(239,0)
    LINE(0,42)
    LINE(-239,0)
    MOVE(23,3)
    LINE(-5,0)
    LINE(0,-54)
    LINE(4,0)
    LINE(0,54)
    MOVE(177,0)
    LINE(-4,0)
    LINE(0,-54)
    LINE(4,0)
    LINE(0,54)
    FILL(-1,-8)
    FILL(-2,-1)
    FILL(-1,-48)
    FILL(-179,-8)
    FILL(-179,-2)
    FILL(-178,-48)
    SHADE(8,-8,0x7878)
    SHADE(-8,-8,0x7878)
    SHADE(-192,-8,0x7878)
    MOVE(-167,-12)
    CALL(0,2)
    MOVE(88,-2)
    CALL(0,1)
    MOVE(24,8)
    CALL(0,2)
    MOVE(85,-21)
    LINE(-4,-2)
    LINE(-10,2)
    MOVE(-60,-3)
    LINE(-14,-2)
    MOVE(-16,0)
    LINE(-37,-2)
    MOVE(-50,2)
    LINE(-18,1)
    LINE(-2,2)
    LINE(-6,2)
    LINE(-21,-3)
    MOVE(3,-18)
    LINE(7,4)
    LINE(2,4)
    LINE(13,-3)
    LINE(5,-5)
    LINE(6,-3)
    LINE(59,2)
    LINE(4,-4)
    LINE(4,-1)
    LINE(14,2)
    LINE(4,4)
    LINE(107,-5)
    SHADE(-96,0,0x5A5A)
END_DRAWING

DRAWING(43,100)
    CALL(0,11)
    MOVE(8,-12)
    INK(0)
    CALL(0,2)
    MOVE(86,-8)
    CALL(0,1)
    MOVE(12,-1)
    CALL(6,2)
    MOVE(-47,-9)
    CALL(4,2)
    MOVE(108,2)
    CALL(5,1)
    MOVE(37,-46)
    LINE(0,78)
    MOVE(0,-39)
    LINE(-13,1)
    LINE(-12,-1)
    MOVE(-11,1)
    LINE(-12,-1)
    MOVE(-57,0)
    LINE(-10,-1)
    MOVE(-72,2)
    LINE(-9,-1)
    LINE(-20,1)
    MOVE(216,-17)
    LINE(-10,-2)
    LINE(-15,-1)
    LINE(-51,4)
    LINE(-39,-4)
    LINE(-9,3)
    LINE(-56,5)
    LINE(-35,-8)
    MOVE(76,27)
    XOR_LINE(-13,-1)
    MOVE(3,-1)
    XOR_LINE(1,-6)
    MOVE(46,15)
    XOR_LINE(11,1)
    MOVE(-17,-13)
    XOR_LINE(1,15)
    MOVE(9,14)
    LINE(-31,-4)
    MOVE(9,-7)
    LINE(-11,-1)
    MOVE(19,-6)
    LINE(-8,-2)
    LINE(7,-1)
    MOVE(83,3)
    LINE(-16,-2)
    LINE(0,-4)
    LINE(3,0)
    MOVE(-144,26)
    LINE(-15,4)
    MOVE(-2,-14)
    LINE(-11,1)
    FILL(5,1)
    FILL(16,10)
    MOVE(10,13)
    FILL(80,-12)
    FILL(90,-26)
    SHADE(0,-48,0xDADA)
    MOVE(96,-34)
    BRIGHT(8)
    FILL(-32,-8)
    FILL(24,0)
    SHADE(-72,8,0x5A5A)
    MOVE(8,16)
    MOVE(64,-8)
    BLOCK(1,0,23,6)
    BRIGHT(8)
    SHADE(-73,-5,0x5A5A)
    FILL(-63,-4)
    FILL(-66,-8)
    FILL(-59,-3)
    FILL(-64,-14)
    FILL(8,-16)
    MOVE(-63,7)
    LINE(-10,0)
    FILL(-4,-2)
    MOVE(-64,16)
    LINE(-1,-19)
    LINE(20,0)
    LINE(0,18)
    MOVE(-17,1)
    LINE(0,-16)
    LINE(17,0)
    MOVE(-3,16)
    LINE(0,-13)
    LINE(-10,0)
    LINE(0,13)
    FILL(3,-6)
    SHADE(-2,-5,0x5A5A)
    MOVE(39,-27)
    LINE(0,-7)
    LINE(8,0)
    LINE(0,7)
    MOVE(-5,0)
    LINE(0,-5)
    LINE(4,0)
    FILL(-1,3)
    MOVE(54,13)
    LINE(0,-10)
    LINE(10,0)
    LINE(0,10)
    LINE(-2,0)
    LINE(0,-6)
    LINE(-5,0)
    LINE(0,6)
    FILL(3,-1)
    SHADE(0,-7,0x5A5A)
    MOVE(-32,7)
    LINE(0,9)
    SHADE(-4,-5,0x5A5A)
    MOVE(67,-18)
    LINE(0,-6)
    SHADE(-4,1,0x5A5A)
    MOVE(-1,-9)
    LINE(0,7)
    SHADE(-2,-2,0x5A5A)
    MOVE(54,-18)
    LINE(-11,7)
    LINE(0,26)
    LINE(10,3)
    MOVE(1,-39)
    LINE(-15,9)
    LINE(0,28)
    LINE(12,6)
    FILL(-1,-2)
    SHADE(0,-9,0x5A5A)
END_DRAWING

DRAWING(50,100)
    CALL(0,12)
    MOVE(-129,0)
    CALL(3,2)
    FILL(17,-10)
    FILL(8,-6)
    FILL(21,-2)
    FILL(15,-6)
    MOVE(20,5)
    CALL(4,2)
    FILL(11,-2)
    FILL(19,-1)
    FILL(32,-11)
    FILL(18,-15)
    MOVE(41,-6)
    CALL(2,2)
    FILL(13,-3)
    FILL(11,-7)
    LINE(4,-2)
    FILL(1,0)
    FILL(4,-5)
    MOVE(-139,11)
    LINE(23,-3)
    LINE(47,4)
    LINE(19,-5)
    LINE(67,4)
    LINE(48,1)
    LINE(34,-4)
    MOVE(-31,4)
    MOVE(26,21)
    LINE(-74,3)
    LINE(-19,-1)
    LINE(-7,1)
    LINE(-20,-4)
    LINE(-17,-2)
    LINE(-2,2)
    LINE(-40,5)
    LINE(-8,-5)
    LINE(-6,1)
    LINE(-2,4)
    LINE(-3,1)
    LINE(-28,-4)
    MOVE(200,-22)
    LINE(-4,18)
    LINE(-2,-18)
    MOVE(-44,-1)
    LINE(3,10)
    LINE(-2,6)
    LINE(0,9)
    MOVE(-4,0)
    LINE(-7,-25)
    MOVE(-56,-4)
    LINE(3,6)
    LINE(-3,8)
    LINE(-3,-4)
    LINE(-4,-1)
    LINE(1,8)
    LINE(-5,5)
    LINE(-5,-9)
    LINE(1,-9)
    MOVE(-53,-3)
    LINE(-1,14)
    LINE(3,7)
    LINE(-3,2)
    LINE(-12,-8)
    LINE(-4,-6)
    LINE(-1,-7)
    SHADE(16,2,0x5A5A)
    SHADE(80,0,0x5A5A)
    SHADE(152,8,0x5A5A)
    SHADE(199,3,0x5A5A)
    MOVE(-5,9)
    LINE(22,17)
    LINE(9,1)
    LINE(-5,-16)
    LINE(3,-5)
    LINE(6,13)
    LINE(30,2)
    LINE(4,-11)
    LINE(11,11)
    LINE(7,-3)
    LINE(28,-1)
    LINE(5,-8)
    LINE(1,11)
    LINE(19,-3)
    LINE(2,-3)
    LINE(2,-14)
    MOVE(15,16)
    LINE(4,3)
    LINE(1,3)
    LINE(10,1)
    LINE(14,-4)
    LINE(-1,-8)
    LINE(4,4)
    LINE(1,7)
    LINE(12,1)
    LINE(24,-6)
    LINE(3,-9)
    LINE(5,12)
    FILL(-96,0)
    FILL(-224,0)
    FILL(-5,0)
    MOVE(-79,-3)
    LINE(4,1)
    FILL(0,4)
    SHADE(0,-21,0x2828)
    SHADE(-88,-21,0x2828)
    SHADE(-33,-41,0x2828)
    SHADE(-96,-32,0x2828)
    SHADE(0,11,0x9090)
END_DRAWING

DRAWING(59,100)
    MOVE(144,-128)
    CALL(0,2)
    FILL(8,-8)
    FILL(32,0)
    LINE(-35,1)
    LINE(0,-22)
    LINE(3,-9)
    LINE(6,0)
    LINE(0,5)
    LINE(19,0)
    LINE(0,7)
    LINE(14,0)
    FILL(-8,3)
    MOVE(-152,146)
    CALL(0,12)
    SHADE(-72,-24,0x9090)
    SHADE(-80,-34,0x9090)
    SHADE(-160,-24,0x9090)
    MOVE(27,5)
    LINE(-66,4)
    LINE(-61,-6)
    LINE(-7,4)
    LINE(-1,3)
    LINE(-4,2)
    LINE(-18,1)
    LINE(-25,-3)
    LINE(-24,-1)
    LINE(-19,1)
    LINE(-14,-3)
    LINE(0,7)
    LINE(6,-2)
    LINE(4,3)
    LINE(16,0)
    LINE(5,-2)
    LINE(14,2)
    LINE(2,3)
    LINE(15,-1)
    LINE(27,3)
    LINE(12,-3)
    LINE(5,-5)
    LINE(7,-6)
    LINE(57,8)
    LINE(16,-1)
    LINE(52,-5)
    LINE(0,18)
    LINE(-16,-1)
    LINE(-15,1)
    LINE(-3,3)
    LINE(-8,2)
    LINE(-12,-3)
    LINE(-7,-1)
    LINE(-7,2)
    LINE(-2,4)
    LINE(-23,1)
    LINE(-34,-5)
    LINE(-16,1)
    LINE(-39,1)
    LINE(-55,-4)
    SHADE(16,8,0x5A5A)
    SHADE(3,-4,0x1414)
    MOVE(101,-28)
    LINE(-17,14)
    MOVE(128,-12)
    LINE(-12,6)
    SHADE(-27,0,0x5A5A)
    SHADE(-104,0,0x5A5A)
    LINE(4,4)
    MOVE(-120,2)
    LINE(2,7)
    SHADE(3,-4,0x5A5A)
END_DRAWING

DRAWING(63,100)
    CALL(0,11)
    MOVE(38,-67)
    CALL(0,5)
    MOVE(3,-31)
    CALL(7,5)
    MOVE(6,-26)
    CALL(5,5)
    MOVE(9,-13)
    CALL(3,5)
    MOVE(45,-11)
    CALL(3,5)
    MOVE(5,-19)
    CALL(5,5)
    MOVE(10,-26)
    CALL(7,5)
    MOVE(5,-39)
    CALL(0,5)
    MOVE(-56,-8)
    LINE(-7,0)
    LINE(97,32)
    MOVE(-132,-32)
    LINE(4,0)
    LINE(-80,32)
    MOVE(15,0)
    LINE(64,-27)
    LINE(0,-5)
    MOVE(32,0)
    LINE(0,5)
    LINE(77,27)
    MOVE(-113,-25)
    LINE(0,18)
    LINE(-3,3)
    LINE(-4,0)
    LINE(0,-18)
    LINE(4,-2)
    LINE(0,20)
    MOVE(43,-22)
    LINE(0,18)
    LINE(4,3)
    LINE(5,0)
    LINE(0,-17)
    LINE(-5,-2)
    LINE(0,19)
    MOVE(23,-11)
    LINE(-18,0)
    MOVE(-9,0)
    LINE(-11,0)
    LINE(0,-32)
    LINE(-17,0)
    LINE(0,32)
    LINE(-11,0)
    MOVE(-8,0)
    LINE(-14,0)
    MOVE(37,-28)
    LINE(9,0)
    LINE(0,13)
    LINE(-9,0)
    LINE(0,-13)
    MOVE(76,-35)
    LINE(-16,16)
    LINE(-112,0)
    LINE(-16,-16)
    LINE(16,16)
    LINE(0,20)
    MOVE(112,-20)
    LINE(0,8)
    MOVE(-133,27)
    LINE(-34,5)
    MOVE(192,-5)
    LINE(47,5)
    SHADE(-64,0,0x5A5A)
    SHADE(-58,-24,0x5A5A)
    SHADE(-67,-9,0x5A5A)
    SHADE(-81,-14,0x5A5A)
    SHADE(-204,-16,0x5A5A)
    SHADE(-199,0,0x5A5A)
    SHADE(-186,-11,0x5A5A)
    SHADE(-181,-24,0x5A5A)
    SHADE(-153,4,0x5A5A)
    SHADE(-102,8,0x5A5A)
    FILL(-48,8)
    MOVE(-47,-5)
    LINE(-59,-5)
    MOVE(-98,5)
    LINE(46,-5)
    SHADE(-32,6,0x2828)
    SHADE(-17,5,0x2828)
    SHADE(67,2,0x2828)
    SHADE(85,5,0x2828)
    SHADE(104,7,0x2828)
    MOVE(158,10)
    FILL(-96,5)
    FILL(-160,5)
    FILL(-136,-48)
    MOVE(-220,20)
    PAPER(6)
    BLOCK(1,25,3,9)
    MOVE(152,-16)
    BLOCK(0,14,8,8)
    MOVE(-96,-8)
    BLOCK(0,8,10,7)
    MOVE(-32,-48)
    INK(3)
    PAPER(7)
    BLOCK(1,17,6,1)
    FILL(67,36)
    MOVE(-28,-4)
    BRIGHT(0)
    LINE(0,15)
    LINE(-14,0)
    MOVE(238,0)
    LINE(-15,0)
    LINE(0,-14)
    INK(5)
    PAPER(7)
    FILL(3,9)
    FILL(-216,9)
    MOVE(-204,3)
    INK(8)
    PAPER(5)
    BLOCK(5,4,3,1)
    MOVE(8,48)
    BLOCK(4,3,1,3)
    MOVE(192,-48)
    BLOCK(5,6,22,1)
    MOVE(-24,48)
    BLOCK(4,5,25,3)
    MOVE(-89,-17)
    PAPER(2)
    BRIGHT(1)
    BLOCK(3,1,14,5)
END_DRAWING

DRAWING(72,100)
    CALL(0,11)
    MOVE(11,-18)
    CALL(0,4)
    MOVE(-12,-2)
    CALL(0,4)
    MOVE(17,-9)
    CALL(6,4)
    MOVE(14,0)
    CALL(0,4)
    MOVE(24,2)
    CALL(6,4)
    MOVE(8,-12)
    CALL(0,4)
    MOVE(-28,-4)
    CALL(7,4)
    MOVE(-43,6)
    CALL(7,4)
    MOVE(-2,-20)
    CALL(0,4)
    MOVE(96,18)
    CALL(4,4)
    MOVE(5,-11)
    CALL(0,4)
    MOVE(16,16)
    CALL(6,4)
    MOVE(16,-9)
    CALL(6,4)
    MOVE(0,16)
    CALL(0,4)
    MOVE(-20,-24)
    LINE(-5,22)
    LINE(-4,1)
    LINE(-4,-2)
    LINE(6,-14)
    MOVE(-33,2)
    LINE(3,7)
    LINE(-2,1)
    LINE(-3,-3)
    MOVE(-13,2)
    LINE(-3,14)
    LINE(-4,0)
    LINE(4,-15)
    MOVE(-12,2)
    LINE(-1,9)
    LINE(5,-3)
    LINE(-5,7)
    LINE(1,7)
    LINE(-4,0)
    LINE(1,-16)
    LINE(-12,8)
    LINE(-3,12)
    LINE(-5,0)
    LINE(1,-12)
    MOVE(-11,-2)
    LINE(3,9)
    LINE(-3,1)
    LINE(-2,-8)
    LINE(-10,-5)
    LINE(18,17)
    FILL(-4,-1)
    FILL(-12,-12)
    MOVE(195,0)
    LINE(-1,-7)
    LINE(-14,-1)
    LINE(-2,-1)
    LINE(1,-9)
    LINE(-1,-20)
    LINE(1,-8)
    LINE(-1,-2)
    LINE(0,-15)
    LINE(1,-15)
    MOVE(-1,13)
    LINE(-24,2)
    LINE(1,4)
    LINE(-1,21)
    LINE(1,13)
    LINE(8,1)
    LINE(15,1)
    MOVE(-23,-8)
    LINE(-8,-1)
    MOVE(8,-24)
    LINE(-8,1)
    LINE(-1,1)
    LINE(1,17)
    MOVE(-1,-11)
    LINE(-7,1)
    MOVE(-136,-32)
    LINE(19,5)
    LINE(5,-1)
    LINE(7,3)
    LINE(2,3)
    LINE(6,-2)
    LINE(7,0)
    LINE(-6,2)
    LINE(4,3)
    LINE(10,-2)
    LINE(0,2)
    LINE(9,2)
    LINE(-3,-3)
    LINE(5,1)
    LINE(0,-4)
    LINE(2,5)
    LINE(3,-4)
    LINE(0,7)
    LINE(11,-1)
    LINE(8,1)
    LINE(2,3)
    LINE(3,3)
    LINE(5,0)
    LINE(1,16)
    LINE(10,5)
    MOVE(0,-18)
    LINE(6,1)
    LINE(4,7)
    LINE(6,4)
    MOVE(29,-20)
    LINE(3,2)
    LINE(2,16)
    MOVE(26,-19)
    LINE(2,4)
    LINE(3,1)
    LINE(9,-2)
    MOVE(-14,20)
    LINE(1,6)
    LINE(4,2)
    LINE(2,11)
    LINE(-1,2)
    LINE(-2,11)
    FILL(-161,-51)
    FILL(-79,-37)
    MOVE(-53,-10)
    LINE(12,3)
    LINE(-5,2)
    LINE(10,8)
    LINE(-15,-5)
    LINE(-4,4)
    LINE(-3,-6)
    LINE(-12,3)
    LINE(0,-6)
    LINE(-17,2)
    LINE(-31,-4)
    LINE(-5,-6)
    LINE(-7,-1)
    LINE(-6,4)
    LINE(6,2)
    LINE(-11,1)
    LINE(2,4)
    LINE(-2,4)
    LINE(-16,8)
    SHADE(-16,-2,0x5A5A)
    SHADE(18,-19,0x5A5A)
    SHADE(50,-17,0x5A5A)
    SHADE(88,-10,0x5A5A)
    SHADE(-48,-8,0x5A5A)
    MOVE(-45,-76)
    PAPER(4)
    BLOCK(9,25,2,1)
    MOVE(-8,16)
    BLOCK(5,0,1,3)
    MOVE(8,-16)
    PAPER(5)
    BLOCK(1,23,2,1)
    MOVE(112,16)
    BLOCK(0,6,16,3)
    BLOCK(1,5,16,3)
    MOVE(24,16)
    BLOCK(0,0,19,5)
    MOVE(-32,-16)
    BLOCK(0,0,15,3)
    MOVE(120,-16)
    PAPER(7)
    BLOCK(8,4,26,1)
    MOVE(-40,48)
    BLOCK(4,2,23,3)
    MOVE(-24,-8)
    BLOCK(2,0,22,4)
    BLOCK(1,1,21,5)
    MOVE(-8,0)
    BRIGHT(0)
    BLOCK(1,1,20,5)
    MOVE(-152,-40)
    BLOCK(0,0,2,1)
    MOVE(0,72)
    BLOCK(0,0,2,10)
END_DRAWING

DRAWING(75,100)
    CALL(0,11)
    MOVE(191,-44)
    INK(0)
    CALL(5,2)
    MOVE(-170,8)
    CALL(0,2)
    INV_LINE(38,3)
    INV_LINE(19,-1)
    INV_LINE(18,-2)
    MOVE(-50,0)
    INV_LINE(1,-9)
    INV_LINE(4,-10)
    INV_LINE(7,-13)
    INV_LINE(4,-4)
    INV_LINE(0,-2)
    MOVE(36,37)
    LINE(0,25)
    LINE(99,-33)
    MOVE(-177,8)
    LINE(0,32)
    MOVE(56,-8)
    LINE(0,-7)
    LINE(-12,-1)
    LINE(6,-16)
    LINE(0,-8)
    LINE(-5,-6)
    LINE(3,-2)
    LINE(4,0)
    LINE(3,3)
    LINE(0,-3)
    LINE(-2,-3)
    LINE(-5,-2)
    LINE(-2,-4)
    LINE(-4,-2)
    LINE(-5,1)
    LINE(-3,6)
    LINE(-1,7)
    LINE(-3,1)
    LINE(-2,2)
    LINE(-6,22)
    LINE(7,-2)
    LINE(3,7)
    LINE(-7,0)
    MOVE(30,0)
    LINE(-24,9)
    LINE(0,6)
    MOVE(8,0)
    LINE(17,-8)
    MOVE(-25,2)
    LINE(-16,-5)
    LINE(10,-4)
    MOVE(-9,4)
    LINE(0,7)
    LINE(8,4)
    MOVE(7,-15)
    LINE(-4,3)
    LINE(8,2)
    LINE(9,-4)
    LINE(0,-2)
    MOVE(34,9)
    LINE(-22,-2)
    MOVE(-34,-5)
    LINE(-9,-1)
    LINE(-6,0)
    LINE(-7,3)
    MOVE(40,-41)
    CALL(1,2)
    MOVE(185,12)
    LINE(4,23)
    MOVE(-5,-31)
    LINE(-10,1)
    LINE(-18,-1)
    FILL(-152,0)
    SHADE(-116,32,0x5A5A)
    SHADE(-139,6,0x5A5A)
    SHADE(-176,24,0x5A5A)
    SHADE(-164,31,0x5A5A)
    SHADE(-125,0,0x5A5A)
    SHADE(-173,0,0x5A5A)
    SHADE(0,40,0x2828)
    SHADE(-184,40,0x2828)
    SHADE(-168,42,0x5A5A)
    SHADE(-159,40,0x4C4C)
    SHADE(-5,0,0x1414)
    MOVE(-30,1)
    LINE(-9,0)
    LINE(0,-9)
    LINE(8,1)
    LINE(0,7)
    LINE(-3,-4)
    LINE(-4,4)
    SHADE(1,-6,0x5A5A)
    MOVE(-34,3)
    LINE(2,-2)
    LINE(0,-11)
    LINE(-11,-2)
    LINE(0,14)
    LINE(10,0)
    MOVE(-3,0)
    LINE(1,-5)
    LINE(-3,-5)
    LINE(-2,5)
    LINE(1,5)
    SHADE(-2,-8,0x5A5A)
    MOVE(51,-18)
    CALL(0,4)
    MOVE(15,1)
    CALL(7,4)
    MOVE(5,-8)
    CALL(7,4)
    MOVE(-26,3)
    CALL(7,4)
    MOVE(-4,-9)
    CALL(4,4)
    INK(0)
    FILL(-16,0)
    FILL(56,0)
    MOVE(-1,17)
    PAPER(6)
    BRIGHT(1)
    BLOCK(0,0,22,4)
    MOVE(-40,0)
    BLOCK(0,0,17,4)
    MOVE(-40,40)
    BRIGHT(0)
    PAPER(2)
    BLOCK(0,2,10,9)
    MOVE(0,-8)
    BLOCK(6,9,3,2)
    MOVE(-32,-32)
    PAPER(4)
    BLOCK(0,0,8,4)
    MOVE(176,8)
    PAPER(5)
    BLOCK(2,3,27,3)
    PAPER(7)
    BRIGHT(1)
    BLOCK(0,3,27,5)
    MOVE(-56,-24)
    PAPER(2)
    BLOCK(1,3,23,2)
    BLOCK(1,5,23,1)
END_DRAWING

$$EXTERN

$$END
