// Quill Run Time Interpreter for TI-89/92+ V1.0 (C) 2002 by Zeljko Juric
// You need TIGCC crosscompiler release 0.93 or higher to compile it correctly
//
// WARNING: Extra size optimization options must be turned on to make this
// program fit in 8K, so compile it with:
//
// tigcc -Os quill.c
//
// NOTE: This program is very dirty written, because it interacts with the
// interpreted data file (which may contain some executable parts too), and
// these interactions require many dirty hacks to avoid some protections
// introduced in AMS 2.xx. Also, many dirties are implemented to make this
// program fit in 8K. So, this program is not the best example how you should
// write your programs. However, you can learn from some parts of it as well.

#define OPTIMIZE_ROM_CALLS
#define NO_EXIT_SUPPORT
#define NO_AMS_CHECK

#define USE_TI89                     // Change to USE_TI92PLUS for TI-92+

#include <tigcclib.h>

#ifdef USE_TI92PLUS
#define Q89_92(a,b) (b)
#else
#define Q89_92(a,b) (a)
#endif

#define ___ 255

enum {$FAIL=0,$CONT,$DESC,$DONE,$ENDGAME,$RESTART,$EXIT};
enum {$NOWHERE=252,$WORN,$CARRIED,$NULL};
enum {$DARK=0,$NUMCAR,$DESC_CNT,$DESC_DARKCNT,$DESC_NOLIGHTCNT,$CNT1,$CNT2,
  $CNT3,$CNT4,$DARKCNT,$NOLIGHTCNT,$SPECIAL=28,$GCONTROL,$SCORE,$TURNLO,
  $TURNHI,$VERB,$NOUN,$CURLOC,$ARG,$FONT,$MAXCAR,$ALSOSEE,$PROMPT};

enum {__END_TABLE__=0,__ACTION__,__CONTINUE__,__CANCEL__,__TRYMOVE__,
  __INVEN__=41,__DESC__,__QUIT__,__END__,__DONE__,__NOTDONE__,__OK__,
  __ANYKEY__,__SAVE__,__LOAD__,__TURNS__,__SCORE__,__CLS__,__AUTOG__,
  __AUTOD__,__AUTOW__,__AUTOR__,__DROPALL__,__NEWLINE__,__LISTOBJ__,
  __SHOWLOC__,__AT__=101,__NOTAT__,__ATGT__,__ATLT__,__PRESENT__,__ABSENT__,
  __WORN__,__NOTWORN__,__CARRIED__,__NOTCARR__,__CHANCE__,__ZERO__,
  __NOTZERO__,__EXTWORD__,__HERE__,__NOTHERE__,__PAUSE__=141,__GOTO__,
  __MESSAGE__,__REMOVE__,__GET__,__WEAR__,__DROP__,__DESTROY__,__CREATE__,
  __SET__,__CLEAR__,__EXTERN__,__PRINT__,__MES__,__SYSMESS__,__RANDOM__,
  __WHATO__,__GETWORD__,__QVERSION__,__LISTAT__,__MESFLAG__,__EQ__=201,__GT__,
  __LT__,__NOTEQ__,__SAME__,__NOTSAME__,__ISAT__,__ISNOTAT__,__SWAP__=241,
  __PLACE__,__PUTO__,__WHEREO__,__PLUS__,__MINUS__,__LET__,__COPYOO__,
  __COPYOF__,__COPYFO__,__COPYFF__,__ADD__,__SUB__};

#define MAXFLAGS 96
#define GDF 64
#define BUFLEN 40
#define HIST_SIZE (30*BUFLEN)

typedef unsigned char *ESPtr;

typedef struct
  {
    char *N;
    unsigned char W,I,L,S;
  } $$OBJECTS$$;

// Don't move or rearange this!!!

unsigned char *$WORDS$=NULL;
$$OBJECTS$$ *$OBJECTS$=NULL;
char **$LOCATIONS$=NULL,**$MESSAGES$=NULL,**$SYSTEM_MESSAGES$=NULL;
unsigned char $LQL$=0,$MAXCAR$=0,$NWORDS$=0,*$CONNECTIONS$=NULL,
  *$EVENTS$=NULL,*$ACTIONS$=NULL,*$FLAGS$=NULL;

char *$BUFFER$=NULL;
void (*$PRINT$)(char*)=NULL;
char *(*$GETLINE$)(void)=NULL;

// End of "critical section"...

void *extern_ptr=NULL;
char *extw_ptr=NULL;
unsigned char scr_ct=0;
unsigned char gcontrol=0;

char signature[]={0,'Q','Q',0,'S','A','V',0,0xF8};  // Savefile signature

#define AlphaLockOn() ({char __ss; if(TIOS_entries<=1155) \
  *((char*)(long)*(*((*(short***)0xC8)+0x96)+4)+0x1F)=1; \
  else _rom_call(void,(char*),481)(&__ss); })
        
int getch(void)
{
  void *kbq=kbd_queue();
  unsigned short key;
  OSTimerRestart(APD_TIMER);
  while(TRUE)
    {
      while(OSdequeue(&key,kbq))
        {
          idle();
          if(OSTimerExpired(APD_TIMER))
            {
              off();
              OSTimerRestart(APD_TIMER);
            }
        }
      if(key==KEY_OFF||key==Q89_92(8459,16651))
        {
          off();
          OSTimerRestart(APD_TIMER);
        }
      else
        {
          memset(LCD_MEM+Q89_92(2820,3660),0,180);
          return key&~(unsigned short)0x800;
        }
    }
}

void cr(void)
{
  int maxsct;
  scr_ct++;
  if($FLAGS$[$FONT]) maxsct=Q89_92(11,15);
  else maxsct=Q89_92(15,20);
  if(scr_ct==maxsct)
    {
      int old_font=FontSetSys(F_4x6);
      DrawStr(Q89_92(130,210),Q89_92(94,122),"More...",A_NORMAL);
      FontSetSys(old_font);
      scr_ct=0;
      getch();
    }
  putchar('\n');
}

void print(char *ptr)
{
  char start=1,ch,*ptr1;
  short b;
  SCR_STATE sstate;
  while(TRUE)
    {
      if(!(ch=*ptr++)) return;
      if(ch=='\n')
        {
          cr(); start=1;
        }
      else if(ch!=' ')
        {
          ptr1=--ptr; b=0; start=0;
          while(TRUE)
            {
              ch=*ptr;
              if(ch==' '||!ch||ch=='\n') break;
              b+=FontCharWidth(ch); ptr++;
            }
          SaveScrState(&sstate);
          if(sstate.CurX+b>ScrRect->xy.x1) cr();
          while(ptr1<ptr) putchar(*ptr1++);
          SaveScrState(&sstate);
          if(sstate.CurX<ScrRect->xy.x1-FontCharWidth(' ')&&*ptr)
            putchar(' ');
        }
      else if(start) putchar(' ');
    }
}

void printcr(char *ptr)
{
  print(ptr); cr();
}

void cls()
{
  FontSetSys($FLAGS$[$FONT]); MoveTo(0,0); ClrScr(); scr_ct=0;
}

char *getline(void)
{
  SCR_STATE ss;
  short key,i=0;
  char *bptr=$BUFFER$,*hptr=bptr;
  bptr[0]=0;
  SaveScrState(&ss);
  do
    {
      int hflag=0;
      printf_xy(ss.CurX,ss.CurY,"%s_   ",bptr);
      key=getch();
      if(key>='a'&&key<='z') key-=32;
      if(key>=' '&&key<='~'&&i<BUFLEN-1) bptr[i++]=key;
      if(key==KEY_BACKSPACE&&i) i--;
      if(key==KEY_F5) return NULL;
      if(key==Q89_92(337,338)&&hptr<bptr+BUFLEN+HIST_SIZE&&*(hptr+BUFLEN))
        {
          hptr+=BUFLEN; hflag=-1;
        }
      if(key==Q89_92(340,344)&&hptr>bptr+BUFLEN)
        {
          hptr-=BUFLEN; hflag=-1;
        }
      if(key==KEY_CLEAR||hflag)
        {
          SCR_RECT sc={{0,ss.CurY,Q89_92(160,240),ss.CurY+8}};
          ScrRectFill(&sc,ScrRect,A_REVERSE);
          if(key==KEY_CLEAR) i=0;
        }
      if(hflag)
        {
          strcpy(bptr,hptr);
          i=strlen(bptr);
          hflag=0;
        }
      bptr[i]=0;
    } while (key!=13||!*bptr);
  memmove(bptr+2*BUFLEN,bptr+BUFLEN,HIST_SIZE-BUFLEN);
  strncpy(bptr+BUFLEN,bptr,BUFLEN-1);
  printf_xy(ss.CurX,ss.CurY,"%s   ",bptr);
  putchar('\n');
  scr_ct=0;
  return bptr+i;
}

void sysmsg(unsigned char n)
{
  printcr($SYSTEM_MESSAGES$[n]);
}

unsigned char matchword(char **bufptr)
{
  char word[40];
  unsigned char *vptr;
  while(TRUE)
    {
      int i=0;
      while(**bufptr==' ') (*bufptr)++;
      if(!**bufptr) return 255;
      while(**bufptr!=' '&&**bufptr) word[i++]=*(*bufptr)++;
      word[i]=0;
      vptr=$WORDS$;
      while(*vptr!=255)
        {
          if(!strncmp(vptr+1,word,$NWORDS$)) return *vptr;
          while(*vptr++);
        }
    }
}

unsigned char present(unsigned char obj)
{
  return ($OBJECTS$[obj].L==$CARRIED||$OBJECTS$[obj].L==$WORN||
    $OBJECTS$[obj].L==$FLAGS$[$CURLOC]);
}

void deccnt(unsigned char *var)
{
  if(*var) (*var)--;
}

void error(char *msg)
{
  SCR_STATE sstate;
  SaveScrState(&sstate);
  DlgMessage("ERROR",msg,BT_OK,BT_NONE);
  RestoreScrState(&sstate);
}

unsigned char execute(unsigned char *ptr)
{
  unsigned char failed,n,v,nobj,nout,*bptr,*fptr,code=*ptr++,done=0,lql=$LQL$,
    *flags=$FLAGS$,*connptr;
  char **sysm=$SYSTEM_MESSAGES$;
  short temp;
  char buf[50];
  SCR_STATE ss;
  SYM_ENTRY *sym_entry;
  $$OBJECTS$$ *objects=$OBJECTS$;
  while(TRUE)
    {
      unsigned char cont=1;
      if(!code) return done;
      if(code==__ACTION__)
        {
          unsigned char word1=*ptr++,word2=*ptr++;
          if(flags[$NOUN]==255) flags[$NOUN]--;
          cont=(word1==255||flags[$VERB]==255||word1==flags[$VERB])
            &&(word2==255||flags[$NOUN]==255||word2==flags[$NOUN]);
          if(flags[$NOUN]==254) flags[$NOUN]++;
        }
      if(cont)
        {
          unsigned char result=$CONT;
          char *extword=extw_ptr;
          while(result&&(code=*ptr)>__CONTINUE__)
            {
              unsigned char arg1=0,arg2=0,autobj=255,sflag=0,cl,gc;
              if(kbhit())
                if(ngetchx()==KEY_F5) return $EXIT;
              for(nobj=0;objects[nobj].I!=255;nobj++)
                if(flags[$NOUN]<254&&flags[$NOUN]==objects[nobj].W)
                  autobj=nobj;
              ptr++;
              if(code>100) arg1=*ptr++;
              if(code>200) arg2=*ptr++;
              cl=flags[$CURLOC];
              switch(code)
                {
                  case __TRYMOVE__:
                    result=0; connptr=$CONNECTIONS$+1;
                    while(*connptr!=255&&!result)
                      {
                        if(*connptr++==cl)
                          while((v=*connptr++)!=255)
                            if(v==flags[$VERB])
                              {
                                flags[$CURLOC]=*connptr;
                                result=1; break;
                              }
                            else connptr++;
                        else while(*connptr++!=255);
                      }
                    break;
                  case __INVEN__:
                    nout=0;
                    sysmsg(9);
                    for(n=0;n<nobj;n++)
                      {
                        if(objects[n].L==$CARRIED||objects[n].L==$WORN)
                          {
                            print(objects[n].N);
                            if(objects[n].L==$WORN) sysmsg(10);
                            else cr();
                            nout++;
                          }
                      }
                    if(!nout) sysmsg(11);
                    return $DONE;
                  case __LISTOBJ__:
                    if(flags[$DARK]&&!present(0)) break;
                    arg1=cl; sflag=1;
                  case __LISTAT__:
                    nout=0;
                    for(n=0;n<nobj;n++)
                      if(*objects[n].N&&objects[n].L==arg1)
                        {
                          if(!nout&&sflag) sysmsg(flags[$ALSOSEE]);
                          printcr(objects[n].N);
                          nout++;
                        }
                    if(!nout&&!sflag) sysmsg(11);
                    break;
                  case __SHOWLOC__:
                    deccnt(&flags[$DESC_CNT]);
                    if(flags[$DARK]) deccnt(&flags[$DESC_DARKCNT]);
                    if(flags[$DARK]&&!present(0))
                      {
                        deccnt(&flags[$DESC_NOLIGHTCNT]);
                        print(sysm[0]); break;
                      }
                    gc=flags[$GCONTROL];
                    if(lql&&(gc&96)==96)
                      flags[$GCONTROL]=gc=(gc&159)+(gcontrol&96);
                    if(!(gc&32)&&(gc&192||!(flags[GDF+(cl>>3)]&(1<<(cl&7)))))
                      {
                        flags[GDF+(cl>>3)]|=1<<(cl&7);
                        if(lql) flags[$GCONTROL]&=127;
                        *top_estack=253;
                        ASM_call(extern_ptr);
                        scr_ct=flags[$ARG];
                      }
                    print($LOCATIONS$[cl]);
                    break;
                  case __QUIT__:
                    sysmsg(12);
                    getline();
                    if($BUFFER$[0]!=(lql?sysm[30][0]:'Y')) return $DONE;
                    break;
                  case __END__:
                    return $ENDGAME;
                  case __CANCEL__:
                    result=1; done=0; break;
                  case __OK__:
                    sysmsg(15);
                  case __DONE__:
                    return $DONE;
                  case __NOTDONE__:
                    return $FAIL;
                  case __ANYKEY__:
                    print(sysm[16]);
                    if(getch()==KEY_F5) return $EXIT;
                    cr(); scr_ct=0; break;
                  case __NEWLINE__:
                    cr(); break;
                  case __SAVE__:
                    print("FILE: ");
                    failed=0;
                    SaveScrState(&ss);
                    sym_entry=DerefSym(SymAdd((fptr=getline())));
                    if(!sym_entry) failed=1;
                    RestoreScrState(&ss);
                    if(!failed)
                      {
                        sym_entry->handle=HeapAlloc(MAXFLAGS+270);
                        bptr=HeapDeref(sym_entry->handle);
                        if(!sym_entry->handle) failed=1;
                      }
                    if(failed)
                      {
                        SymDel(fptr);
                        error("Save failed!");
                        return $DESC;
                      }
                    fptr=bptr+2;
                    for(n=0;n<nobj;n++) *fptr++=objects[n].L;
                    memcpy(fptr,flags,MAXFLAGS); fptr+=MAXFLAGS;
                    memcpy(fptr,signature,9); fptr+=9;
                    *(int*)bptr=fptr-bptr-2;
                    return $DESC;
                  case __LOAD__:
                    print("FILE: ");
                    sym_entry=SymFindPtr(getline(),0);
                    if(!sym_entry)
                      {
                        error("Can not open file!"); return $DESC;
                      }
                    fptr=HeapDeref(sym_entry->handle)+2;
                    for(n=0;n<nobj;n++) objects[n].L=*fptr++;
                    memcpy(flags,fptr,MAXFLAGS); fptr+=MAXFLAGS;
                    if(memcmp(fptr,signature,9))
                      {
                        error("Bad or corrupted file!");
                        return $RESTART;
                      }
                  case __DESC__:
                    return $DESC;
                  case __TURNS__:
                    print(sysm[17]);
                    sprintf(buf,"%d",flags[$TURNLO]+256*flags[$TURNHI]);
                    print(buf);
                    print(sysm[18]);
                    if(flags[$TURNLO]+256*flags[$TURNHI]!=1)
                      {
                        if(lql) print(sysm[19]);
                        else print("s");
                      }
                    if(lql) sysmsg(20);
                    else print(".\n");
                    break;
                  case __SCORE__:
                    print(sysm[19+2*lql]);
                    sprintf(buf,"%d",flags[$SCORE]);
                    print(buf);
                    if(lql) sysmsg(22);
                    else print("%\n");
                    break;
                  case __CLS__:
                    cls(); break;
                  case __DROPALL__:
                    for(n=0;n<nobj;n++)
                      if(objects[n].L==$CARRIED||objects[n].L==$WORN)
                        objects[n].L=cl;
                    flags[$NUMCAR]=0;
                    break;
                  case __AT__:
                    result=cl==arg1; break;
                  case __NOTAT__:
                    result=cl!=arg1; break;
                  case __ATGT__:
                    result=cl>arg1; break;
                  case __ATLT__:
                    result=cl<arg1; break;
                  case __PRESENT__:
                    result=present(arg1); break;
                  case __ABSENT__:
                    result=!present(arg1); break;
                  case __HERE__:
                    arg2=cl; goto L_ISAT;
                  case __CARRIED__:
                    arg2=$CARRIED; goto L_ISAT;
                  case __WORN__:
                    arg2=$WORN;
                  case __ISAT__:
L_ISAT:             result=objects[arg1].L==arg2; break;
                  case __NOTHERE__:
                    arg2=cl; goto L_ISNOTAT;
                  case __NOTCARR__:
                    arg2=$CARRIED; goto L_ISNOTAT;
                  case __NOTWORN__:
                    arg2=$WORN;
                  case __ISNOTAT__:
L_ISNOTAT:          result=objects[arg1].L!=arg2; break;
                  case __CHANCE__:
                    result=(rand()%100)<arg1; break;
                  case __EXTWORD__:
                    result=matchword(&extword)==arg1; break;
                  case __PAUSE__:
                    if(lql&&flags[$SPECIAL]&&flags[$SPECIAL]<0x23)
                      {
                        switch(flags[$SPECIAL])
                          {
                            case 9:
                              cls(); break;
                            case 10:
                              flags[$ALSOSEE]=arg1; break;
                            case 11:
                              flags[$MAXCAR]=arg1; break;
                            case 12:
                              return $RESTART;
                            case 13:
                              return $EXIT;
                            case 14:
                              if(255-arg1>=flags[$MAXCAR])
                                flags[$MAXCAR]+=arg1;
                              else flags[$MAXCAR]=255;
                              break;
                            case 15:
                              if(flags[$MAXCAR]<arg1) flags[$MAXCAR]=0;
                              else flags[$MAXCAR]-=arg1;
                              break;
                            case 19:
                              flags[$GCONTROL]=192;
                              if(arg1==255) flags[$GCONTROL]=32;
                              if(arg1==99) flags[$GCONTROL]=0;
                              gcontrol=flags[$GCONTROL];
                              break;
                            case 21:
                              if(arg1==50)
                                {
                                  if(!flags[MAXFLAGS]) break;
                                  memcpy(flags,flags+MAXFLAGS+1,MAXFLAGS);
                                  for(n=0;n<nobj;n++)
                                    objects[n].L=objects[n].S;
                                }
                              else
                                {
                                  flags[MAXFLAGS]=255;
                                  memcpy(flags+MAXFLAGS+1,flags,MAXFLAGS);
                                  for(n=0;n<nobj;n++)
                                    objects[n].S=objects[n].L;
                                }
                          }
                        flags[$SPECIAL]=0;
                        break;
                      }
                    if(!arg1) arg1=255;
                    OSFreeTimer(USER_TIMER);
                    OSRegisterTimer(USER_TIMER,1+arg1*2/5);
                    while(!OSTimerExpired(USER_TIMER));
                    break;
                  case __GOTO__:
                    flags[$CURLOC]=arg1; break;
                  case __MESSAGE__:
                    printcr($MESSAGES$[arg1]); break;
                  case __MESFLAG__:
                    arg1=flags[arg1];
                  case __MES__:
                    print($MESSAGES$[arg1]); break;
                  case __SYSMESS__:
                    print(sysm[arg1]); break;
                  case __PRINT__:
                    sprintf(buf,"%d",flags[arg1]);
                    print(buf); break;
                  case __AUTOR__:
                    arg1=autobj;
                    if(flags[$NOUN]<200||arg1==255) return $FAIL;
                  case __REMOVE__:
                    if(objects[arg1].L!=$WORN) sysmsg(20+3*lql);
                    else if(flags[$MAXCAR]<=flags[$NUMCAR]) sysmsg(21+3*lql);
                    else
                      {
                        arg2=$CARRIED; goto L_PLACE;
                      }
                    return $DONE;
                  case __AUTOG__:
                    arg1=autobj;
                  case __GET__:
                    if(arg1==255) return $FAIL;
                    else if(objects[arg1].L==$CARRIED||objects[arg1].L==$WORN)
                      sysmsg(22+3*lql);
                    else if(objects[arg1].L!=cl) sysmsg(23+3*lql);
                    else if(flags[$MAXCAR]<=flags[$NUMCAR]) sysmsg(24+3*lql);
                    else
                      {
                        arg2=$CARRIED; goto L_PLACE;
                      }
                    return $DONE;
                  case __AUTOW__:
                    arg1=autobj;
                    if(flags[$NOUN]<200||arg1==255) return $FAIL;
                  case __WEAR__:
                    if(objects[arg1].L==$WORN) sysmsg(26+3*lql);
                    else if(objects[arg1].L!=$CARRIED) sysmsg(25+3*lql);
                    else
                      {
                        arg2=$WORN; goto L_PLACE;
                      }
                    return $DONE;
                  case __AUTOD__:
                    arg1=autobj;
                  case __DROP__:
                    if(arg1==255) return $FAIL;
                    else if(objects[arg1].L==$WORN
                      &&flags[$MAXCAR]<=flags[$NUMCAR])
                        sysmsg(21+3*lql);
                    else if(objects[arg1].L!=$CARRIED&&objects[arg1].L!=$WORN)
                      sysmsg(25+3*lql);
                    else
                      {
                        arg2=cl; goto L_PLACE;
                      }
                    return $DONE;
                  case __EXTERN__:
                    flags[$ARG]=arg1;
                    *top_estack=254;
                    ASM_call(extern_ptr);
                    result=flags[$ARG]; break;
                  case __ZERO__:
                    arg2=0;
                  case __EQ__:
                    result=flags[arg1]==arg2; break;
                  case __NOTZERO__:
                    arg2=0;
                  case __NOTEQ__:
                    result=flags[arg1]!=arg2; break;
                  case __GT__:
                    result=flags[arg1]>arg2; break;
                  case __LT__:
                    result=flags[arg1]<arg2; break;
                  case __SAME__:
                    result=flags[arg1]==flags[arg2]; break;
                  case __NOTSAME__:
                    result=flags[arg1]!=flags[arg2]; break;
                  case __SWAP__:
                    n=objects[arg1].L;
                    objects[arg1].L=objects[arg2].L;
                    objects[arg2].L=n;
                    break;
                  case __PUTO__:
                    arg1=flags[arg1]; goto L_PLACE;
                  case __DESTROY__:
                    arg2=$NOWHERE; goto L_PLACE;
                  case __CREATE__:
                    arg2=cl;
                  case __PLACE__:
L_PLACE:            if(objects[arg1].L==$CARRIED) flags[$NUMCAR]--;
                    if(arg2==$CARRIED) flags[$NUMCAR]++;
                    objects[arg1].L=arg2;
                    break;
                  case __QVERSION__:     
                    arg2=10; goto L_LET;   /* Version 1.0 */
                  case __SET__:
                    arg2=255; goto L_LET;
                  case __CLEAR__:
                    arg2=0; goto L_LET;
                  case __WHATO__:
                    arg2=autobj; goto L_LET;
                  case __GETWORD__:
                    arg2=matchword(&extword); goto L_LET;
                  case __RANDOM__:
                    arg2=1+rand()%100;
                  case __LET__:
L_LET:              flags[arg1]=arg2;
                    break;
                  case __COPYFF__:
                    flags[arg2]=flags[arg1];
                    break;
                  case __COPYFO__:
                    objects[arg2].L=flags[arg1];
                    break;
                  case __WHEREO__:
                    arg1=flags[arg1];
                  case __COPYOF__:
                    flags[arg2]=objects[arg1].L;
                    break;
                  case __COPYOO__:
                    objects[arg2].L=objects[arg1].L;
                    break;
                  case __ADD__:
                    temp=flags[arg1]+flags[arg2];
                    flags[arg2]=temp>255?255:temp;
                    break;
                  case __PLUS__:
                    temp=flags[arg1]+arg2;
                    flags[arg1]=temp>255?255:temp;
                    break;
                  case __SUB__:
                    temp=flags[arg2]-flags[arg1];
                    flags[arg2]=temp>0?temp:0;
                    break;
                  case __MINUS__:
                    temp=flags[arg1]-arg2;
                    flags[arg1]=temp>0?temp:0;
                }
              if(result&&code%100>40) done=1;
              if(result>$CONT) return result;
            }
        }
      while((code=*ptr++)>__ACTION__+cont) ptr+=code/100;
    }
}

// I know that writing big "monolite" functions is not a good programming
// practice, but I had very strong reasons for writing big "main" function!

void _main(void)
{
  unsigned char result,verb,n,*flags;
  $$OBJECTS$$ *objects;
  char *bptr,*fptr,*cptr,*selfptr;
  const char *fname;
  unsigned select,i,plen=0,ng=0;
  LCD_BUFFER lcdbuf;
  ESPtr argptr=top_estack,argpass;
  SYM_ENTRY *symptr,*symarr[100];
  HANDLE mhandle,selfhandle=0;
  long pc;
  asm("bsr 0f; 0:move.l (%%sp)+,%0":"=g"(pc));
  argpass=(ESPtr)((long)(argptr+2)&0xFFFFFFFE);
  if(GetArgType(argptr)!=STR_TAG) fname="";
  else fname=GetStrnArg(argptr);
  mhandle=PopupNew("SELECT THE GAME",Q89_92(53,69));
  FolderOp(NULL,FOP_LOCK|FOP_ALL_FOLDERS);
  symptr=SymFindFirst(NULL,2);
  while(symptr)
    {
      HANDLE shandle=symptr->handle;
      if(*(unsigned char*)HToESI(shandle)==ASM_TAG)
        {
          int islock=HeapGetLock(shandle);
          bptr=fptr=HLock(shandle);
          plen=*(int*)fptr+3; result=0;
          if((pc&0x3FFFF)>(long)fptr&&(pc&0x3FFFF)<(long)fptr+plen+15)
            selfhandle=symptr->handle;
          if(!*fname||!strncmp(fname,symptr->name,8))
            for(i=0;i<plen-15;i++,bptr++)
              if(*bptr=='*'&&!strcmp(bptr+1,"**QUILL***"))
                {
                  result=1; break;
                }
          if(result)
            {
              PopupAddText(mhandle,-1,bptr+12,0);
              symarr[ng++]=symptr;
            }
          if(!islock) HeapUnlock(shandle);
        }
      symptr=SymFindNext();
    }
  FolderOp(NULL,FOP_UNLOCK|FOP_ALL_FOLDERS);
  if(!ng||!selfhandle)
    {
      HeapFree(mhandle);
      if(!selfhandle) error("INTERNAL: Can't find itself!");
      else if(!*fname) error("No Quill games found!");
      else if(!plen) error("Program not found!");
      else error("No valid Quill file!");
      return;
    }
  if(*fname) select=1;
  else
    {
      LCD_save(lcdbuf);
      ClrScr();
      DrawClipRect(ScrToWin(ScrRect),ScrRect,A_NORMAL);
      FontSetSys(F_8x10);
      DrawStr(Q89_92(24,64),3,"QUILL RTI V1.0",A_NORMAL);
      FontSetSys(F_6x8);
      DrawStr(Q89_92(2,42),Q89_92(74,103),"Quill Run Time Interpreter",
        A_NORMAL);
      DrawStr(Q89_92(14,54),Q89_92(83,111),"(C) 2002 Zeljko Juric",A_NORMAL);
      select=PopupDo(mhandle,CENTER,(ng>4)?19:(39-4*ng),1);
      LCD_restore(lcdbuf);
    }
  HeapFree(mhandle);
  if(!select) return;
  symptr=symarr[select-1]; mhandle=symptr->handle;
  plen=*(int*)(cptr=fptr=HLock(mhandle))+3;
  if(symptr->flags.bits.archived)
    {
      if(!(cptr=malloc(plen)))
        {
          HeapUnlock(mhandle);
          error("Out of memory!");
          return;
        }
      memcpy(cptr,fptr,plen);
    }
  if(!($BUFFER$=malloc(HIST_SIZE+BUFLEN+50)))
    {
      if(cptr!=fptr) free(cptr);
      HeapUnlock(mhandle);
      error("Out of memory!");
      return;
    }
  memset($BUFFER$++,0,HIST_SIZE+BUFLEN+50);
  top_estack=argpass+8;
  *(long*)argpass=(long)&$BUFFER$;
  *(long*)(argpass+4)=(long)&$WORDS$;
  *(argpass+8)=255;
  if(pc<0x40000)
    {
      enter_ghost_space();
      selfptr=HeapDeref(selfhandle)+0x40000;          // Patch itself:
      EX_patch(selfptr+2,selfptr+*(int*)selfptr+1);   // Very nasty!
    }
  EX_patch((extern_ptr=cptr+0x40002),cptr+plen-2);
  $PRINT$=print;
  $GETLINE$=getline;
  ASM_call(cptr+0x40002);
  flags=$FLAGS$; objects=$OBJECTS$;
  flags[MAXFLAGS]=0;
  randomize();
  LCD_save(lcdbuf);
  ScrRect->xy.y1+=3;
  while(TRUE)
    {
      gcontrol=0; scr_ct=0;
      memset(flags,0,MAXFLAGS);
      flags[$MAXCAR]=$MAXCAR$; flags[$ALSOSEE]=1;
      for(n=0;objects[n].I!=255;n++)
        {
          objects[n].L=objects[n].I;
          if(!objects[n].I&&!*objects[n].N) objects[n].L=$NOWHERE;
          flags[$NUMCAR]+=objects[n].L==$CARRIED;
        }
      AlphaLockOn(); ST_helpMsg(""); cls();
      while(TRUE)
        {
          result=execute($EVENTS$);
          if(result>=$ENDGAME) break;
          if(result==$DESC) flags[$VERB]=0;
          else
            {
              deccnt(&flags[$CNT1]);
              deccnt(&flags[$CNT2]);
              deccnt(&flags[$CNT3]);
              deccnt(&flags[$CNT4]);
              if(flags[$DARK]) deccnt(&flags[$DARKCNT]);
              if(flags[$DARK]&&!present(0)) deccnt(&flags[$NOLIGHTCNT]);
              if(flags[$PROMPT]) sysmsg(flags[$PROMPT]);
              else sysmsg(2+rand()%4);
              if(!getline())
                {
                  result=$EXIT; break;
                }
              cr(); scr_ct=0;
              bptr=$BUFFER$; flags[$TURNLO]++;
              if(!flags[$TURNLO]) flags[$TURNHI]++;
              flags[$VERB]=verb=matchword(&bptr);
              if(verb!=255)
                {
                  flags[$NOUN]=matchword(&bptr);
                  extw_ptr=bptr;
                  result=execute($ACTIONS$);
                  if(result==$DESC) flags[$VERB]=0;
                  else if(result>=$ENDGAME) break;
                  if(!result)
                    {
                      if(verb<13) sysmsg(7);
                      else sysmsg(8);
                    }
                }
              else sysmsg(6);
            }
        }
      if(result==$RESTART) continue;
      if(result==$EXIT) break;
      sysmsg(13);
      getline();
      if($BUFFER$[0]==($LQL$?$SYSTEM_MESSAGES$[31][0]:'N'))
        {
          print($SYSTEM_MESSAGES$[14]);
          getch();
          break;
        }
    }
  ScrRect->xy.y1-=3;
  LCD_restore(lcdbuf);
  free($BUFFER$-1);
  if(cptr!=fptr) free(cptr);
  HeapUnlock(mhandle);
}

